package com.coob.aframe.base;

import com.coob.modules.tg.domain.Qyxx;
import com.coob.system.domain.Depart;
import com.coob.system.domain.User;
import lombok.Data;

import java.io.Serializable;

/**
 * 登录用户信息
 * @author Administrator
 *
 */
@Data
public class LoginUser implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer code;
	private String msg;

	//用户基本信息
	private Integer userType;		//用户类别  1市局 2区县局 3开发商
	private Integer userId;			//用户id
	private String account;			//账号
	private String userName;		//姓名
	private Integer qx;				//区县
	private Integer glybs;			//管理员标识

	//主管部门信息
	private Integer departId;		//所在部门id
	private String departName;		//所在部门名称


	public void setUserInfo(User user){
		this.code = 0;
		this.userType = user.getLb();
		this.userId = user.getId();
		this.account = user.getDlzh();
		this.userName = user.getXm();
		this.qx = user.getQx();
		this.glybs = user.getGlybs();
	}

	public void setDepartInfo(Depart depart) {
		this.departId = depart.getId();
		this.departName = depart.getBmmc();
	}

	public void setQyxxInfo(Qyxx qyxx) {
		this.departId = qyxx.getId();
		this.departName = qyxx.getQymc();
	}



}
