package com.coob.modules.api.vo;

import com.coob.modules.tg.domain.Tgxm;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 团购项目滚动展示数据
 */
@Data
@NoArgsConstructor
public class GdTgxmVo implements Serializable {
    private static final long serialVersionUID = -1L;

    private String tgmc;    //团购名称
    private String xmmc;    //项目名称
    private Integer bmrs;   //报名人数

    public GdTgxmVo(Tgxm tgxm) {
        this.tgmc = tgxm.getTgmc();
        this.xmmc = tgxm.getXmmc();
        this.bmrs = tgxm.getBmrs();
    }

}
