package com.coob.modules.comm;

import com.coob.aframe.base.BaseController;
import com.coob.aframe.base.LoginUser;
import com.coob.aframe.base.R;
import com.coob.aframe.util.DateUtil;
import com.coob.modules.tg.domain.Qyxx;
import com.coob.modules.tg.service.QyxxService;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * (TQyxx)表控制层
 * @author makejava
 * @since 2024-08-01 17:01:36
 */
@Controller
@RequestMapping("/dialog/qy")
public class DialogQyController extends BaseController {
    @Resource
    private QyxxService qyxxService;

    /**
     * 查询企业信息列表
     *
     * @param qymc
     * @param pageNum
     * @param model
     * @return
     */
    @RequestMapping(value = "/doList")
    public String doList(String qymc, Integer pageNum, Model model) {
        Map<String, Object> params = new HashMap<>();
        params.put("qymc", qymc);
        params.put("state", 1);

        super.offsetPage(pageNum);
        List<Qyxx> list = this.qyxxService.selectByParams(params);
        PageInfo<Qyxx> pageInfo = new PageInfo<>(list);

        model.addAttribute("pageInfo", pageInfo);
        model.addAttribute("qymc", qymc);

        return "pages/comm/dialogQy";
    }


}

