package com.coob.modules.tg.domain;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 户型信息
 */
@Data
@NoArgsConstructor
public class Xmhx implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer id;		//
	private Integer xmid;	//项目id
	private String hx;		//户型名称  x室x厅x卫
	private Integer shi;	//室
	private Integer ting;	//厅
	private Integer wei;	//卫
	private Integer state;	//


	public void init(){
		this.hx = shi + "室" + ting + "厅" + wei + "卫";
		this.state = 1;
	}
}

