package com.coob.system.dao;

import java.util.List;

import com.coob.system.domain.DicItem;
import org.apache.ibatis.annotations.Param;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.stereotype.Repository;


/**
 * 字典项管理Dao
 * @author JK.Sun
 * @version 20210308
 */
@MapperScan
@Repository
public interface DicItemDao {

	int insert(DicItem dicItem);

	int update(DicItem dicItem);

	int updateTypeCode(@Param("oCode")String oCode, @Param("nCode")String nCode);
	
	int deleteById(Integer id);

	int physicalDeleteById(Integer id);

	DicItem selectById(Integer id);

	List<DicItem> selectByTypeCode(String typeCode);

	List<DicItem> selectAll();
}
