package com.coob.system.dao;

import com.coob.system.domain.RoleMenu;

import java.util.List;

/**
 * 角色-菜单关联Dao
 * @author JK.Sun
 * @version 20210308
 */
public interface RoleMenuDao {

	int insert(RoleMenu roleMenu);

	int deleteByRoleId(Integer roleId);

    List<RoleMenu> selectRoleMenuListByRoleId(Integer roleId);

    int insertBatch(List<RoleMenu> roleMenus);

    void deleteByMenuId(Integer menuId);
}
