package com.coob.system.dao;

import com.coob.system.domain.UserRole;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户角色管理Dao
 * @author Administrator
 *
 */
public interface UserRoleDao {

	int insert(UserRole userRole);

	int insertBatch(List<UserRole> roleList);
	
	int deleteById(Integer id);

	int deleteByRoleid(Integer roleid);

	int deleteByUserId(@Param("userId")Integer userId);

	List<UserRole> selectByUserId(@Param("userId")Integer userId);
}
