package com.coob.system.domain;

import lombok.Data;

import java.io.Serializable;

/**
 * 用户、角色关联表
 * 目前每个用户仅指定1个角色
 */
@Data
public class UserRole implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer id;
	private Integer userId;		//用户id
	private Integer roleId;		//角色id
	private Integer state;

	public UserRole(){}
	
	public UserRole(Integer userId, Integer roleId){
		this.userId = userId;
		this.roleId = roleId;
		this.state = 1;
	}
}
