<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <title>企业信息-列表</title>
    <meta charset="UTF-8">
    <link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

    <link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
    <script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

    <script>
        function reloadMee(){
            window.location.reload(true);
        }

        function showAddPage(){
            var url = '${ctx}/qyxx/gl/toAdd';
            opendialog('QyxxDialog', '企业新增', 650, 450, url);
        }

        function showEditPage(id){
            var url = '${ctx}/qyxx/gl/toEdit?id=' + id;
            opendialog('QyxxDialog', '企业编辑', 650, 450, url);
        }

        function closePage(reFlag){
            close('QyxxDialog');
            if( reFlag ) {
                window.location.href = '${ctx}/qyxx/gl/doList';
            }
        }

        function doDelInfo(id){
            if(confirm("确认要删除该信息吗?")){
                ajaxLoading();
                window.location.href = '${ctx}/qyxx/gl/doDel?id='+id;
            }
        }
    </script>
</head>
<body>
<form id="form0" action="${ctx}/qyxx/gl/doList" method="Post">
<div class="main">
    <div class="page_title">企业管理 - 信息列表：</div>

    <div class="select">
        <div class="hang">
            <span class="tj">企业名称:<input type="text" id="qymc" name="qymc" value="${qymc}" style="width:150px;" class="input_l"/></span>
            <input type="submit" id="selBtn" value="查询" class="a_btn_blue"/>
            <input type="button" value="新增" onclick="showAddPage()" class="a_btn_blue"/>
        </div>
    </div>
    <div class="content">
        <table style="width:100%;" class="table_list">
            <thead>
            <tr>
                <th width="40">序号</th>
                <th>企业名称</th>
                <th>信用代码</th>
                <th>联系人</th>
                <th>联系电话</th>
                <th>操作人</th>
                <th>操作时间</th>
                <th width="110">操作</th>
            </tr>
            </thead>
            <c:forEach varStatus="index" items="${pageInfo.list}" var="obj">
                <tr>
                    <td align="center">${index.index+1}</td>
                    <td align="left">${obj.qymc}</td>
                    <td align="left">${obj.xydm}</td>
                    <td align="left">${obj.lxr}</td>
                    <td align="left">${obj.lxdh}</td>
                    <td align="left">${obj.czr}</td>
                    <td align="left">${obj.czsj}</td>
                    <td align="center">
                        <a href="javascript:void(0);" onclick="showEditPage(${obj.id})" class="a_lan">[编辑]</a>
                        <a href="javascript:void(0);" onclick="doDelInfo(${obj.id})" class="a_del">[删除]</a>
                    </td>
                </tr>
            </c:forEach>
        </table>
    </div>
    <div class="page">
        <p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}"
                 pageSize="${pageInfo.pageSize}" form="form0" styleClass="page" theme="text"/>
    </div>
</div>
</form>
</body>
<p:message/>
</html>