<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <title>部门信息-列表</title>
    <meta charset="UTF-8">
    <link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

    <link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
    <script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

    <script>
        function showAddPage(){
            var url = '${ctx}/sys/depart/toAdd';
            opendialog('DepartDialog', '部门新增', 800, 630, url);
        }

        function showEditPage(id){
            var url = '${ctx}/sys/depart/toEdit?id=' + id;
            opendialog('DepartDialog', '部门新增', 800, 630, url);
        }

        function closePage(reFlag){
            close('DepartDialog');
            if( reFlag ) {
                window.location.href = '${ctx}/sys/depart/doList';
            }
        }

        function doDelInfo(id){
            if(confirm("确认要删除该信息吗?")){
                ajaxLoading();
                window.location.href = '${ctx}/sys/depart/doDel?id='+id;
            }
        }
    </script>
</head>
<body>
<form id="form0" action="${ctx}/sys/depart/doList" method="Post">
<div class="main">
    <div class="page_title">部门管理 - 信息列表：</div>

    <div class="select">
        <div class="hang">
            <span class="tj">部门名称:<input type="text" id="bmmc" name="bmmc" value="${bmmc}" style="width:150px;" class="input_l"/></span>
            <input type="submit" id="selBtn" value="查询" class="a_btn_blue"/>
            <input type="button" value="新增" onclick="showAddPage()" class="a_btn_blue"/>
        </div>
    </div>
    <div class="content">
        <table style="width:100%;" class="table_list">
            <thead>
            <tr>
                <th width="40">序号</th>
                <th>部门名称</th>
                <th>联系人</th>
                <th>联系电话</th>
                <th>办公地址</th>
                <th>备注信息</th>
                <th width="110">操作</th>
            </tr>
            </thead>
            <c:forEach varStatus="index" items="${pageInfo.list}" var="obj">
                <tr>
                    <td align="center">${index.index+1}</td>
                    <td align="left">${obj.bmmc}</td>
                    <td align="left">${obj.lxr}</td>
                    <td align="left">${obj.lxdh}</td>
                    <td align="left">${obj.bgdz}</td>
                    <td align="left">${obj.bz}</td>
                    <td align="center">
                        <a href="javascript:void(0);" onclick="showEditPage(${obj.id})" class="a_lan">[编辑]</a>
                        <a href="javascript:void(0);" onclick="doDelInfo(${obj.id})" class="a_del">[删除]</a>
                    </td>
                </tr>
            </c:forEach>
        </table>
    </div>
    <div class="page">
        <p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}"
                 pageSize="${pageInfo.pageSize}" form="form0" styleClass="page" theme="text"/>
    </div>
</div>
</form>
</body>
<p:message/>
</html>