<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>部门信息-新增</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		window.onload = function (){
			showQxDiv();
		};

		function showQxDiv(){
			var lb = $("#lb").find("option:selected").val();
			if( lb == 1 ) {
				$('#qxDiv').hide();
			} else {
				$('#qxDiv').show();
			}
		}

		function checkForm(){
			submitflag = false;
			var bmmc = document.getElementById('bmmc').value;
			if( bmmc == '' ){
				layer.msg('请填写部门名称');
				return false;
			}
			submitflag = true;
			return true;
		}

		function guanbi(){
			parent.closePage(false);
		}
	</script>
	
</head>
<body>
<form id="form0" action="${ctx}/sys/depart/doAdd" method="post" >
<div class="main">
	<div class="page_title">部门管理 - 新增部门： </div>
	<div class="content">
		<table style="width:100%;" class="table_frame">
			<col width="110"/>
			<col width="*"/>
			<tr>
				<th>类别:</th>
				<td>
					<form:select path="depart.lb" onchange="showQxDiv()" cssClass="input">
						<form:option value="1">市住建局</form:option>
						<form:option value="2">区县住建局</form:option>
					</form:select>
					<span id="qxDiv" style="display: none; padding-left: 30px;">
						所属区县：
						<form:select path="depart.qx" cssClass="input">
							<form:options items="${qxlist}" itemValue="id" itemLabel="qxmc" />
						</form:select>
					</span>
				</td>
			</tr>
			<tr>
				<th>部门名称:</th>
				<td>
					<input type="text" id="bmmc" autocomplete="off" name="bmmc" value="${depart.bmmc}" style="width:280px" autocomplete="off" class="input" />
				</td>
			</tr>
			<tr>
				<th>联系人:</th>
				<td>
					<input type="text" id="lxr" autocomplete="off" name="lxr" value="${depart.lxr}" style="width:280px" autocomplete="off" class="input" />
				</td>
			</tr>
			<tr>
				<th>联系电话:</th>
				<td>
					<input type="text" id="lxdh" autocomplete="off" name="lxdh" value="${depart.lxdh}" style="width:280px" autocomplete="off" class="input" />
				</td>
			</tr>
			<tr>
				<th>办公地址:</th>
				<td>
					<input type="text" id="bgdz" autocomplete="off" name="bgdz" value="${depart.bgdz}" style="width:500px" autocomplete="off" class="input" />
				</td>
			</tr>
			<tr>
				<th>备注信息:</th>
				<td>
					<textarea id="bz" name="bz" style="width:500px; height:180px;" class="textarea">${depart.bz}</textarea>
				</td>
			</tr>
		</table>
		<div style="margin-top: 10px; text-align: center;">
			<input type="submit" id="savBtn" value="保存" onclick="return checkForm()" class="a_btn_blue" />
			<input type="button" value="关闭" onclick="guanbi()" class="a_btn_blue" />
		</div>
	</div>
</div>
</form>
</body>
<p:message/>
</html>