<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>字典信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>
	
	<script type="text/javascript">
		//新增字典项
		function showDicItemAdd(dicId){
			var url = '${ctx}/sys/dic/toItem?dicId=' + dicId;
			opendialog('dicItemAddDialog', '字典项信息', 650, 420, url);
		}

		function showDicItemEdit(dicId, itemId){
			var url = '${ctx}/sys/dic/toItem?dicId='+dicId+'&itemId='+itemId;
			opendialog('dicItemEditDialog', '字典项信息', 650, 420, url);
		}

		function reloadMee(){
			window.location.reload(true);
		}
	</script>
	<style type="text/css">
		.z{display: block; text-align: left; line-height: 30px; padding-top: 25px; border-bottom: 1px solid #ddd;}
		.z-mc{display: inline-block; text-align: left; min-width: 250px; color: #33828B; font-weight: 600; border-bottom: 1px solid #33828B;}
		.z-bh{display: inline-block; color: #666; font-weight: 400;}
		.z-sm{display: inline-block; padding-left: 20px; color: #999; font-weight: 400; font-size: 12px;}
		.c-nr{display: block; padding-left: 60px; padding-top: 10px; line-height: 40px;}
		.c-mc{display: block; width: 300px; color: #888;}
		.c-bh{display: inline-block; font-size: 14px; color: #999;}
	</style>
</head>
<body>
<form id="form0" action="${ctx}/sys/dic/doList" method="post" >
<div class="main">
	<div class="page_title">字典管理：</div>
	<div class="select">
		<span class="hang">
			<span class="tj">字典名称:<input type="text" id="typeName" name="typeName" value="${typeName}" autocomplete="off" style="width:150px;" class="input_l" /></span>
			<span class="tj">
				<input type="submit" id="doSearch" value="查询" class="a_btn_blue" />
			</span>
		</span>
	</div>

	<div class="content">
		<c:forEach varStatus="index" items="${objList}" var="obj" >
			<div class="z">
				<span class="z-mc">${index.index+1} . ${obj.typeName}
					<span class="z-bh">[ ${obj.typeCode} ]</span>
				</span>
				<span class="z-sm">(备注：${obj.remark})</span>
			</div>
			<div class="c-nr">
				<c:forEach items="${obj.itemList}" var="item" >
					<div class="c-mc">
						<span class="c-bh">[${item.dicKey}]</span>
						<a href="javascript:void(0);" onclick="showDicItemEdit(${obj.id}, ${item.id})" class="a_blue">${item.dicValue}</a>
					</div>
				</c:forEach>
					<div class="c-mc">
						<a href="javascript:void(0);" onclick="showDicItemAdd(${obj.id})" class="a_blue">[+添加]</a>
					</div>
			</div>
		</c:forEach>
	</div>
	<br/><br/>
</div>
</form>
</body>
</html>