<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>企业用户信息 - 添加</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		//验证登录账号是否重复
		function checkAccout(){
			var dlzh = document.getElementById('dlzh').value;
			if( dlzh != '' ){
				$.ajax({
					url:'${ctx}/sys/user/check',
					data:{'dlzh':dlzh},
					type:'post',
					dataType:'json',
					success:function(r){
						var uid = r.userId;
						var userId = $('#userId').val();
						if( uid != '0' && uid != userId ){
							layer.msg('登录账号已存在');
							return;
						}
					}
				});
			}
		}

		function checkForm(){
			var bmid = $("#bmid").find("option:selected").val();
			if( bmid == '' || bmid == 0 ) {
				layer.msg('请选择开发企业');
				return false;
			}

			var xm = $('#xm').val();
			if( xm == '' ){
				layer.msg('请填写姓名');
				return false;
			}

			var dlzh = $('#dlzh').val();
			if( dlzh == '' ){
				layer.msg('请填写登录账号');
				return false;
			}

			ajaxLoading();
			$.ajax({
				type: "POST",
				dataType: "json",
				url: "${ctx}/sys/qyuser/doEdit",
				data: $('#form0').serialize(),
				success: function (r) {
					layer.msg(r.msg);
					if( r.code == 0 ) {
						setTimeout("guanbiOk()", 1200 );
					} else {
						ajaxLoadEnd();
					}
				}
			});
		}

		function guanbiOk(){
			parent.closePage(true);
		}

		function guanbi(){
			parent.closePage(true);
		}

		function reUserPwd(){
			if(confirm("确认重置该用户密码?")){
				ajaxLoading();
				var userId = $('#userId').val();
				$.ajax({
					url:'${ctx}/sys/user/rePwd',
					data:{'id':userId},
					type:'post',
					dataType:'json',
					success:function(r){
						ajaxLoadEnd();
						layer.msg('密码重置成功');
					}
				});
			}
		}
	</script>
</head>
<body>
<form id="form0" action="${ctx}/sys/qyuser/doEdit" method="post" >
	<input type="hidden" id="userId" name="id" value="${user.id}" />

	<div class="main">
		<div class="page_title">企业用户管理 - 信息编辑：</div>
		<div class="content">
			<table style="width:100%" class="table_frame">
				<col width="110"/>
				<col width="*"/>
				<tr>
					<th>开发企业:</th>
					<td>
						<select id="bmid" name="bmid" class="input">
							<option value="0">- 请选择 -</option>
							<c:forEach items="${qyList}" var="qy" >
								<option value="${qy.id}" <c:if test="${user.bmid==qy.id}">selected</c:if> >${qy.qymc}</option>
							</c:forEach>
						</select>
					</td>
				</tr>
				<tr>
					<th>姓名:</th>
					<td>
						<input type="text" id="xm" name="xm" value="${user.xm}" style="width:280px;" autocomplete="off" class="input" />
					</td>
				</tr>
				<tr>
					<th>联系电话:</th>
					<td>
						<input type="text" id="lxdh" name="lxdh" value="${user.lxdh}" style="width:280px;" autocomplete="off" class="input" />
					</td>
				</tr>
				<tr>
					<th>登录账号:</th>
					<td>
						<input type="text" id="dlzh" name="dlzh" value="${user.dlzh}" onblur="checkAccout()" style="width:280px;" autocomplete="off" class="input" />
					</td>
				</tr>
				<tr>
					<th>选择角色:</th>
					<td>
						<select id="roleId" name="roleId" class="input">
							<c:forEach items="${roleList}" var="role" >
								<option value="${role.id}" <c:if test="${user.roleId==role.id}">selected</c:if> >${role.roleName}</option>
							</c:forEach>
						</select>
					</td>
				</tr>
			</table>

			<div style="margin-top: 10px; text-align: center;">
				<input type="button" value="保存" onclick="checkForm()" class="a_btn_blue" />
				<input type="button" value="关闭" onclick="guanbi()" class="a_btn_blue" />
			</div>
			<a href="javascript:void(0);" onclick="reUserPwd()" class="a_lan">[重置该用户登录密码]</a>
		</div>
	</div>
</form>
</body>
<p:message/>
</html>