<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>用户信息 - 修改密码</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		//验证登录账号是否重复
		function checkForm(){
			var opwd = $('#opwd').val();
			var npwd = $('#npwd').val();
			var renpwd = $('#renpwd').val();

			if( opwd == '' ) {
				layer.msg('请输入原登录密码');
				return false;
			}

			if( npwd == '' ) {
				layer.msg('请输入新登录密码');
				return false;
			}
			if( renpwd == '' ) {
				layer.msg('请输入新登录密码');
				return false;
			}
			if(renpwd != npwd){
				layer.msg('2次新密码不一致，请重新输入');
				return false;
			}

			ajaxLoading();
			$.ajax({
				url:'${ctx}/sys/user/doPwd',
				data:{'opwd':opwd, 'npwd':npwd},
				type:'post',
				dataType:'json',
				success:function(r){
					layer.msg(r.msg);

					if( r.code == 0 ) {
						setTimeout("logout()", 1200 );
					} else {
						ajaxLoadEnd();
					}

				}
			});
		}

		function logout(){
			parent.location.href = '${ctx}/logout';
		}
	</script>
</head>
<body>
<div class="main">
	<div class="page_title">用户管理 - 修改密码：</div>
	<div class="content">

		<div style="position: fixed; width: 415px; top: 20%; left: 25%; text-align: left;">
			<div style="line-height: 40px; font-weight: bold;">修改登录密码：</div>

			<table style="width: 415px;" class="table_frame">
				<col width="150"/>
				<col width="300"/>
				<tr>
					<th>原登录密码:</th>
					<td>
						<input type="password" id="opwd" style="width:200px;" class="input" />
					</td>
				</tr>
				<tr>
					<th>新登录密码:</th>
					<td>
						<input type="password" id="npwd" style="width:200px;" class="input" />
					</td>
				</tr>
				<tr>
					<th>重新输入新密码:</th>
					<td>
						<input type="password" id="renpwd" style="width:200px;" class="input" />
					</td>
				</tr>
			</table>

			<div style="margin-top: 10px; text-align: left; padding-left: 170px;">
				<input type="button" value="修改" onclick="checkForm()" class="a_btn_blue" />
			</div>
		</div>
	</div>
</div>
</body>
<p:message/>
</html>