<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>团购业务 - 详情</title>
	<meta content="UTF-8" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<script type="text/javascript">
		function reloadMee(){
			window.location.reload(true);
		}

		$(function(){
			showTab();
			setHeight();
		});

		function showTab(){
			$("#kbtabs li").bind("click", function () {
				var index = $(this).index();
				var divs = $("#kbtabs-body > div");
				$(this).parent().children("li").attr("class", "kbtab-nav");
				$(this).attr("class", "kbtab-nav-action");
				divs.hide();
				divs.eq(index).show();
			});
		}

		function setHeight() {
			var height = $(window).height();
			document.getElementById('tabDivTg').style.height = (height-165) + 'px';
			document.getElementById('tabDivLp').style.height = (height-165) + 'px';
			document.getElementById('operFrame').style.height = (height-165) + 'px';

			$('#tabDivLp').hide();
		}

		function showRyPage(txid){
			var url = '${ctx}/ywcx/tgxx/ryList?txid='+txid;
			opendialog('XmxxDialog', '人员查看', 0, 0, url);
		}
		function closePage(){
			close('XmxxDialog');
		}

		function shuaxinFrame(){
			var tgid = $("#tgid").val();
			document.getElementById('operFrame').src = '${ctx}/ywcx/tgxx/xmList?tgid='+tgid;
		}
	</script>
	<style type="text/css">
		.bzDivv {padding: 0px 8px; width: 400px; min-height: 50px; border: 1px solid #E2E2E2;}
		.dwSpann {font-size: 12px;}

		.xm-bt { color: #666666; }
		.xm-jg { display: inline-block; width: 150px; color: #ab7100; font-weight: bold; }
		.xm-jg dw {color: #666666; font-weight: normal; font-size: 12px; }

		.yh-div {
			display: inline-block; margin: 10px 10px 10px 0px; padding: 2px 10px; text-align: center; width: 160px; height: 25px; line-height: 25px; background-color: #abdde5;
		}
		.c{ text-align: center;}
	</style>
</head>
<body>
<input type="hidden" id="tgid" value="${tgxx.id}" />

<div class="main">
	<div class="page_title">团购业务 - 详细信息：</div>

	<div style="padding-left: 30px; line-height: 35px; text-align: left;">
		<span style="font-weight: bold;">${tgxx.tgmc}</span>
		<span style="padding-left: 30px;">
			团购活动进度：
			<c:if test="${tgxx.zt==1}">待发布</c:if>
			<c:if test="${tgxx.zt==2}">活动中</c:if>
			<c:if test="${tgxx.zt==4}">已结束</c:if>
			<c:if test="${tgxx.zt==5}">已关闭</c:if>
			<c:if test="${tgxx.zt==6}">已撤销</c:if>
		</span>
		<div style="float: right; padding-right: 30px;">
			<a id="bakBtn" href="${ctx}/ywcx/tgxx/doPage" class="a_btn_blue">返回列表</a>
		</div>
	</div>

	<div class="content">

		<div class="kbtabs">
			<ul id="kbtabs">
				<li class="kbtab-nav-action">团购信息</li>
				<li class="kbtab-nav">楼盘信息</li>
			</ul>
		</div>

		<div id="kbtabs-body" class="kbtabs-body">
			<div id="tabDivTg" style="display:block; min-width: 1000px; height: 0px; overflow-y: auto;" class="content">
				<div style="display: inline-block; vertical-align: top; width: 300px; margin-right: 20px; ">
					<c:if test="${tgxx.tpbs==1}">
						<img src="${ctx}/file/img?u=${tgxx.tpurl}" style="width: 300px; height: auto;"/>
					</c:if>
				</div>
				<div style="display: inline-block; vertical-align: top; width: 550px;">
					<div style="line-height: 40px; font-weight: bold;">
						团购基本信息：
					</div>
					<table class="table_view">
						<col width="120"/>
						<col width="420"/>
						<tr>
							<th>团购名称:</th>
							<td>
								${tgxx.tgmc}
							</td>
						</tr>
						<tr>
							<th>组织单位:</th>
							<td>${tgxx.zzbm}</td>
						</tr>
						<tr>
							<th>活动期限:</th>
							<td>${tgxx.ksrq} 至 ${tgxx.jzrq}</td>
						</tr>
						<tr>
							<th>备注信息:</th>
							<td>${tgxx.bz}</td>
						</tr>
						<tr>
							<th>参数项目数:</th>
							<td>${tgxx.xms} <span class="dwSpann">个项目</span></td>
						</tr>
						<tr>
							<th>活动浏览数:</th>
							<td>${tgxx.lls} <span class="dwSpann">人次</span></td>
						</tr>
						<tr>
							<th>报名人数:</th>
							<td>${tgxx.bmrs} <span class="dwSpann">人次</span></td>
						</tr>
						<tr>
							<th>成交数:</th>
							<td>${tgxx.cjrs} <span class="dwSpann">人次</span></td>
						</tr>
						<tr>
							<th>提交时间:</th>
							<td>${tgxx.tjsj}</td>
						</tr>
						<tr>
							<th>发布时间:</th>
							<td>${tgxx.fbsj}</td>
						</tr>
					</table>
				</div>
				<br/>
				<br/>
			</div>

			<div id="tabDivLp" style="display:none; overflow-y: hidden;" class="content">
				<iframe id="operFrame" src="${ctx}/ywcx/tgxx/xmList?tgid=${tgxx.id}" width="100%" frameborder="0" noresize="noresize" scrolling="auto"></iframe>
			</div>
		</div>
	</div>
</div>
</body>
<p:message/>
</html>
