<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>团购业务 - 详情</title>
	<meta content="UTF-8" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function reloadMee(){
			window.location.reload(true);
		}

		function exptXmList(){
			var tgid = $('#tgid').val();
			var url = '${ctx}/tgxx/gl/exportExcel?tgid=' + tgid;
			window.open(url);
		}
	</script>
	<style type="text/css">
		.dwSpann {font-size: 12px;}

		.xm-bt { color: #666666; }
		.xm-bt2 { display: inline-block; width: 150px;}
		.xm-jg { display: inline-block; width: 150px; color: #ab7100; font-weight: bold; }
		.xm-jg dw {color: #666666; font-weight: normal; font-size: 12px; }

		.yh-div { display: inline-block; text-align: right; width: 195px; color: #666666; }

		input::placeholder { color: #909090;  }
	</style>
</head>
<body>
<form id="form0" action="${ctx}/ywcx/tgxx/xmList" method="Post">
	<input type="hidden" id="tgid" name="tgid" value="${tgid}" />

	<div class="main">
		<div class="content">
			<select id="qx" name="qx" class="input_l">
				<option value="">- 全部区县 -</option>
				<c:forEach items="${qyList}" var="qy">
					<option value="${qy.id}" <c:if test="${qy.id==qx}">selected</c:if>>${qy.qxmc}</option>
				</c:forEach>
			</select>
			<input type="text" id="xmmc" name="xmmc" value="${xmmc}" placeholder="项目名称" style="width: 120px;" class="input_l" />
			<input type="submit" id="selBtn" value="查询" class="a_btn_blue"/>
			&nbsp;&nbsp;
			<a href="javascript:void(0);"  onclick="exptXmList()" class="a_lan">[导出楼盘列表]</a>
		</div>

		<div class="content">
			<c:forEach varStatus="index" items="${xmList}" var="tgxm" >
				<div style="line-height: 35px; margin: 10px 0px; padding-bottom: 10px; border-bottom: 1px solid #E0E0E0;">
					<div style="padding-top: 5px;">
						<span style="font-weight: bold; padding-right: 10px;">${index.index+1}. ${tgxm.xmmc}</span>
						<c:if test="${tgxm.shzt==-2}"><span class="tuz bc5">撤销</span></c:if>
						<c:if test="${tgxm.shzt==-1}"><span class="tuz bc5">审核驳回</span></c:if>
						<c:if test="${tgxm.shzt==1}"><span class="tuz bc1">未审核</span></c:if>
						<c:if test="${tgxm.shzt==2}"><span class="tuz bc2">审核通过</span></c:if>
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">开发企业：</span> ${tgxm.qymc}
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">项目地址：</span> (${tgxm.qxmc}) ${tgxm.jsdz}
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">开盘时间：</span>
						<span class="xm-bt2">${tgxm.kpsj}</span>
						<span class="xm-bt">计划交房日期：</span>
						<c:if test="${tgxm.sfxf != 1}"><td>${tgxm.jhjfrq}</td></c:if>
						<c:if test="${tgxm.sfxf == 1}"><td>现房</td></c:if>
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">施工状态：</span>
						<span class="xm-bt2">
									<c:if test="${tgxm.sgzt == 1}">正常施工</c:if>
									<c:if test="${tgxm.sgzt == 2}">停工停建</c:if>
									<c:if test="${tgxm.sgzt == 3}">建设完成</c:if>
						</span>
						<span class="xm-bt">涉法涉诉：
							<c:if test="${tgxm.sfss == 0}">否</c:if>
							<c:if test="${tgxm.sfss == 1}">是</c:if>
						</span>
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">销售价格：</span>
						<span class="xm-jg">${tgxm.xsjg} <span class="dw">元/㎡</span></span>
						<span class="xm-bt">销售电话：</span> ${tgxm.xsdh}
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">看房直通车联系电话：</span> ${tgxm.kfdh}
					</div>
					<div style="padding-left: 30px;">
						<div class="xm-bt">优惠活动：</div>
						<div style="margin-left: 50px; border: 1px solid #E0E0E0;">
							<div><span class="yh-div">3-5人团（含3、5人）优惠：</span>${tgxm.yh3}</div>
							<div><span class="yh-div">6-10人团（含10人）优惠：</span>${tgxm.yh5}</div>
							<div><span class="yh-div">10人以上团优惠：</span>${tgxm.yh10}</div>
							<div><span class="yh-div">其他优惠：</span>${tgxm.yhqt}</div>
						</div>
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">审核人：</span>  <span style="padding-left: 10px;">${tgxm.shry}</span>
						<span class="xm-bt" style="padding-left: 20px;">审核时间：</span> <span style="padding-left: 20px;">${tgxm.shsj}</span>
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">审核意见： </span> ${tgxm.shyj}
					</div>
					<div style="padding-left: 30px;">
						<span class="xm-bt">团购情况：</span>
						<span>浏览数：${tgxm.lls} <span class="dwSpann">人次</span></span>
						<span style="padding-left: 20px;">报名人数：${tgxm.bmrs} <span class="dwSpann">人</span></span>
						<span style="padding-left: 20px;">成交人数：${tgxm.cjrs} <span class="dwSpann">人</span></span>
						<a href="javascript:void(0);" onclick="parent.showRyPage(${tgxm.id})" class="a_lan">[查看报名人员]</a>
					</div>
				</div>
			</c:forEach>
		</div>
	<br/>
	<br/>
</div>
</body>
</html>
