<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>项目 - 信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
	</script>
</head>
<body>
<form id="form0" action="${ctx}/ywcx/xmxx/doList" method="post" >
<div class="main">
	<div class="page_title">项目管理 - 信息列表： </div>
	<div class="select">
		<div class="hang">
			<span class="tj">企业名称:<input type="text" id="qymc" name="qymc" value="${qymc}" style="width:150px;" class="input_l" /></span>
			<span class="tj">项目名称:<input type="text" id="xmmc" name="xmmc" value="${xmmc}" style="width:150px;" class="input_l" /></span>
			<span class="tj">区县名称:<input type="text" id="qxmc" name="qxmc" value="${qxmc}" style="width:150px;" class="input_l" /></span>
			<span class="tj">状态:
				<select id="zt" name="zt" class="input_l">
					<option value="">全部</option>
					<option value="1" <c:if test="${zt==1}">selected</c:if>>暂存</option>
					<option value="2" <c:if test="${zt==2}">selected</c:if>>待审核</option>
					<option value="3" <c:if test="${zt==3}">selected</c:if>>审核驳回</option>
					<option value="5" <c:if test="${zt==5}">selected</c:if>>审核通过</option>
				</select>
			</span>


			<span class="tj">
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
			</span>
		</div>
	</div>

	<div class="content">
		<table style="width:100%" class="table_list">
			<thead>
				<tr>
					<th width="40">序号</th>
					<th>企业名称</th>
					<th>项目名称</th>
					<th>区县</th>
					<th>项目地址</th>
					<th>计划交房时间</th>
					<th>开盘时间</th>
					<th>销售价格</th>
					<th width="80">状态</th>
					<th width="50">操作</th>
				</tr>
			</thead>
			<c:forEach varStatus="index" items="${pageInfo.list}" var="obj" >
				<tr>
					<td align="left">${index.index+1}</td>
					<td align="left">${obj.qymc}</td>
					<td align="left">${obj.xmmc}</td>
					<td align="left">${obj.qxmc}</td>
					<td align="left">${obj.jsdz}</td>
					<td align="center">${obj.jhjfrq}</td>
					<td align="center">${obj.kpsj}</td>
					<td align="center">${obj.xsjg}</td>
					<td align="center">
						<c:if test="${obj.zt == 1}">暂存</c:if>
						<c:if test="${obj.zt == 2}">待审核</c:if>
						<c:if test="${obj.zt == 3}">审核驳回</c:if>
						<c:if test="${obj.zt == 5}">审核通过</c:if>
					</td>
					<td align="right">
						<a id="edtBtn" href="${ctx}/ywcx/xmxx/toView?id=${obj.id}" class="a_blue">[查看]</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>

	<div class="page">
		<p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}" pageSize="${pageInfo.pageSize}"
				 url="${ctx}/ywcx/xmxx/doPage" styleClass="page" theme="text"/>
	</div>
	</div>
</form>
</body>
<p:message/>
</html>