<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息编辑</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function checkForm(){
			submitflag = false;

			var shzt = $("input[name='shzt']:checked").val();
			if( shzt == null ) {
				layer.msg('请选择审核结果');
				return false;
			}

			var shyj = $('#shyj').val();
			if( shzt != 2 ) {
				if( shyj == '' ) {
					layer.msg('请填写审核意见');
					return false;
				}
			}
			submitflag = true;
			return true;
		}

	</script>
</head>
<body>
<form id="form0" action="${ctx}/tgry/sh/doSh" method="post" >

	<input type="hidden" id="ryid" name="id" value="${tgry.id}" />
	<input type="hidden" id="tgid" name="tgid" value="${tgry.tgid}" />
	<input type="hidden" id="tgxmid" name="tgxmid" value="${tgry.tgxmid}" />
	<input type="hidden" id="xmid" name="xmid" value="${tgry.xmid}" />

	<div class="main">
		<div class="page_title">团购报名人员 - 信息审核：</div>
		<div class="content">
			<table style="width:100%" class="table_view">
				<col width="110"/>
				<col width="220"/>
				<col width="110"/>
				<col width="*"/>
				<tr>
					<th>团购活动:</th>
					<td colspan="3">
						${tgxx.tgmc}
						<span style="padding-left: 20px; color: #666666;">
							(活动状态：
							<c:if test="${tgxx.zt==1}">未发布</c:if>
							<c:if test="${tgxx.zt==2}">活动报名中</c:if>
							<c:if test="${tgxx.zt==4}">报名结束</c:if>
							<c:if test="${tgxx.zt==5}">活动关闭</c:if>
							)
						</span>
					</td>
				</tr>
				<tr>
					<th>楼盘名称:</th>
					<td>${xmxx.xmmc}</td>
					<th>开盘时间:</th>
					<td>${xmxx.kpsj}</td>
				</tr>
				<tr>
					<th>开发企业:</th>
					<td colspan="3">${xmxx.qymc}</td>
				</tr>
				<tr>
					<th>项目地址:</th>
					<td colspan="3">（${xmxx.qxmc}） ${xmxx.jsdz}</td>
				</tr>
				<tr>
					<th>销售价格:</th>
					<td>${xmxx.xsjg} 元/平方米</td>
					<th>销售电话:</th>
					<td>${xmxx.xsdh}</td>
				</tr>
			</table>
		</div>

		<div class="title_l">人员信息：</div>
		<div class="content">
			<table style="width:100%" class="table_view">
				<col width="110"/>
				<col width="220"/>
				<col width="110"/>
				<col width="*"/>
				<tr>
					<th>姓名:</th>
					<td>${tgry.xm}</td>
					<th>手机号:</th>
					<td>${tgry.sjhm}</td>
				</tr>
				<tr>
					<th>人员类别:</th>
					<td>${tgry.rylb}</td>
					<th>证件号码:</th>
					<td>${tgry.zjhm}</td>
				</tr>
				<tr>
					<th>报名时间:</th>
					<td colspan="">${tgry.bmsj}</td>
				</tr>
			</table>
		</div>

		<div class="title_l">信息审核：</div>
		<div class="content">
			<table style="width:100%" class="table_view">
				<col width="110"/>
				<col width="*"/>
				<tr>
					<th>审核结果:</th>
					<td>
						<label><input type="radio" name="shzt" value="2"> 审核通过</label>
						<label><input type="radio" name="shzt" value="3"> 审核驳回</label>
					</td>
				</tr>
				<tr>
					<th>审核意见:</th>
					<td>
						<textarea id="shyj" name="shyj" style="width:600px; height:80px;" class="textarea">${tgry.shyj}</textarea>
					</td>
				</tr>
			</table>

			<div style="margin-top: 10px; text-align: left; padding-left: 300px;">
				<input type="submit" id="savBtn" value="审核" onclick="return checkForm()" class="a_btn_blue" />
				<a id="bakBtn" href="${ctx}/tgry/sh/doPage" class="a_btn_blue">返回</a>
			</div>
		</div>
	</div>
</form>
</body>
<p:message/>
</html>