z<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>团购项目-撤销</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<link type="text/css" href="${ctxStatic}/js/bootstrap/css/bootstrap.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.viewer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/viewer/viewer.css" rel="stylesheet" media="all" />
	<script type="text/javascript" src="${ctxStatic}/js/viewer/viewer-1.10.4.js"></script>


	<script type="text/javascript">
		function checkForm(){
			submitflag = false;
			var shzt = $('#shzt').val();
			var shyj = $('#shyj').val();
			if(shzt != -2){
				layer.msg('撤销状态异常，请重试');
				return false;
			}
			if( shyj == '' ) {
				layer.msg('请填写撤销意见');
				return false;
			}
			submitflag = true;
			return true;
		}

	</script>
	<style type="text/css">
		.hxItDiv { display: inline-block; width: 120px; padding-left: 20px; }
		.divTp {display: inline-block; width: 135px; text-align: center; vertical-align: top; margin-bottom: 20px; margin-left:10px; position: relative;}
		.imgTp {cursor: hand; cursor: pointer; margin: 0; padding:0; width: 125px; height: auto;  max-height: 145px;}
	</style>
</head>
<body>
<form id="form0" action="${ctx}/tgxm/sh/doCx" method="post" >
	<input type="hidden" id="id" name="id" value="${tgxm.id}" />
	<input type="hidden" id="tgid" name="tgid" value="${tgxm.tgid}" />
	<input type="hidden" id="xmid" name="xmid" value="${tgxm.xmid}" />
	<input type="hidden" id="shzt" name="shzt" value="-2">

	<div class="main">
		<div class="page_title">团购活动-项目撤销：
			<div><a id="baklBtn" href="${ctx}/tgxx/gl/toView?id=${tgxm.tgid}" class="a_btn_blue">返回</a></div>
		</div>
		<div class="content">
			<table style="width:100%;margin-top: 0px;" class="table_view">
				<col width="120"/>
				<col width="160"/>
				<col width="100"/>
				<col width="*"/>
				<tr>
					<th>开发企业:</th>
					<td colspan="3">${xmxx.qymc}</td>
				</tr>
				<tr>
					<th>项目名称:</th>
					<td colspan="3">${xmxx.xmmc}</td>
				</tr>
				<tr>
					<th>区县名称:</th>
					<td colspan="3">${xmxx.qxmc}</td>
				</tr>
				<tr>
					<th>项目地址:</th>
					<td colspan="3">(${xmxx.qxmc}) ${xmxx.jsdz}</td>
				</tr>
				<tr>
					<th>开盘时间:</th>
					<td >${xmxx.kpsj}</td>
					<th>计划交房日期:</th>
					<c:if test="${xmxx.sfxf != 1}"><td>${xmxx.jhjfrq}</td></c:if>
					<c:if test="${xmxx.sfxf == 1}"><td>现房</td></c:if>
				</tr>
				<tr>
					<th>施工状态:</th>
					<td>
						<c:if test="${xmxx.sgzt == 1}">正常施工</c:if>
						<c:if test="${xmxx.sgzt == 2}">停工停建</c:if>
						<c:if test="${xmxx.sgzt == 3}">建设完成</c:if>
					</td>
					<th>涉法涉诉:</th>
					<td><c:if test="${xmxx.sfss == 0}">否</c:if>
						<c:if test="${xmxx.sfss == 1}">是</c:if>
					</td>
				</tr>
				<tr>
					<th>销售价格:</th>
					<td colspan="3">${xmxx.xsjg} 元/平方米</td>
				</tr>
				<tr>
					<th>销售电话:</th>
					<td colspan="3">${xmxx.xsdh}</td>
				</tr>
				<tr>
					<th>撤销原因:</th>
					<td align="left">
						<textarea id="shyj" name="shyj" style="width:600px; height:80px;" class="textarea">${tgxm.shyj}</textarea>
					</td>
				</tr>
			</table>
			<span class="shuoming">
				项目撤销后，无法参与团购且不能再次报名
			</span>

			<div style="margin-top: 10px; text-align: left; padding-left: 300px;">
				<input type="submit" id="savBtn" value="撤销" onclick="return checkForm()" class="a_btn_blue" />
				<a id="bakBtn" href="${ctx}/tgxx/gl/toView?id=${tgxm.tgid}" class="a_btn_blue">返回</a>
			</div>
		</div>
	</div>
</form>
<br/><br/>
</body>
<p:message/>
</html>