<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
	</script>
</head>
<body>
<form id="form0" action="${ctx}/tgxm/sh/doList" method="post" >
<div class="main">
	<div class="page_title">团购活动项目审核 - 信息列表： </div>
	<div class="select">
		<div class="hang">
			<span class="tj">团购名称:<input type="text" id="tgmc" name="tgmc" value="${tgmc}" style="width:150px;" class="input_l"/></span>
			<span class="tj">企业名称:<input type="text" id="qymc" name="qymc" value="${qymc}" style="width:150px;" class="input_l"/></span>
			<span class="tj">项目名称:<input type="text" id="xmmc" name="xmmc" value="${xmmc}" style="width:150px;" class="input_l"/></span>
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
		</div>
	</div>

	<div class="content">
		<table style="width:100%" class="table_list">
			<thead>
				<tr>
					<th width="40">序号</th>
					<th>团购名称</th>
					<th>项目名称</th>
					<th>企业名称</th>
					<th>区县</th>
					<th>状态</th>
					<th width="70">操作</th>
				</tr>
			</thead>
			<c:forEach varStatus="index" items="${pageInfo.list}" var="obj" >
				<tr>
					<td align="left">${index.index+1}</td>
					<td align="left">${obj.tgmc}</td>
					<td align="left">${obj.xmmc}</td>
					<td align="left">${obj.qymc}</td>
					<td align="left">${obj.qxmc}</td>
					<td align="center">
						<c:if test="${obj.shzt==1}">待审核</c:if>
						<c:if test="${obj.shzt==2}">审核通过</c:if>
						<c:if test="${obj.shzt==-1}">审核驳回</c:if>
					</td>
					<td align="center">
						<a id="shBtn" href="${ctx}/tgxm/sh/toSh?id=${obj.id}" class="a_lan">[审核]</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>

	<div class="page">
        <p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}" pageSize="${pageInfo.pageSize}" url="${ctx}/tgxm/sh/doPage" styleClass="page" theme="text"/>
	</div>
	</div>
</form>
</body>
<p:message/>
</html>