<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>团购查看</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function closeMee(){
			parent.closeDialog();
		}
	</script>
</head>
<body>
	<div class="main">
		<div class="page_title">团购信息查看：
			<div><a href="javascript:void(0);" onclick="closeMee()" class="a_lan">[关闭]</a></div>
		</div>

		<div class="content">
			<c:forEach varStatus="index" items="${tgList}" var="obj">
				<div style="line-height: 40px; text-align: left;">
					<span style="font-size: 14px; font-weight: bold;"> ${index.index+1}. ${obj.tgmc}</span>
				</div>
				<table style="width:100%;margin-top: 0px;" class="table_view">
					<col width="120"/>
					<col width="*"/>
					<tr>
						<th>获取期限:</th>
						<td>${obj.ksrq} 至 ${obj.jzrq}</td>
					</tr>
					<tr>
						<th>发布时间:</th>
						<td>${obj.fbsj}</td>
					</tr>
					<tr>
						<th>结束时间:</th>
						<td>${obj.jssj}</td>
					</tr>
					<tr>
					<th>活动状态:</th>
					<td>
						<c:if test="${obj.zt==1}">未发布</c:if>
						<c:if test="${obj.zt==2}">活动中</c:if>
						<c:if test="${obj.zt==4}">已结束</c:if>
						<c:if test="${obj.zt==5}">已关闭</c:if>
						<c:if test="${obj.zt==6}">已撤销</c:if>
					</td>
				</tr>
				</table>
			</c:forEach>
		</div>
	</div>
<br/><br/>
</body>
</html>