<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>团购项目查看</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function closeMee(){
			parent.closeDialog();
		}
	</script>
	<style>
		input::placeholder {
			color: #909090; /* 灰色的placeholder文本 */
		}
	</style>
</head>
<body>
<form id="form0" action="${ctx}/tgxm/sh/toXms" method="post" >
	<input type="hidden" id="tgid" name="tgid" value="${tgid}" />

	<div class="main">
		<div class="page_title">团购项目查看：
			<span>
				<select id="qx" name="qx" class="input_l">
					<option value="">- 全部 -</option>
					<c:forEach items="${areaList}" var="qy">
						<option value="${qy.id}" <c:if test="${qy.id==qx}">selected</c:if>>${qy.qxmc}</option>
					</c:forEach>
				</select>
				<input type="text" id="xmmc" name="xmmc" value="${xmmc}" placeholder="项目名称" style="width: 120px;" class="input_l" />
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
			</span>
			<div><a href="javascript:void(0);" onclick="closeMee()" class="a_lan">[关闭]</a></div>
		</div>

		<div class="content">
			<c:forEach varStatus="index" items="${xmList}" var="obj">
				<div style="line-height: 40px; text-align: left;">
					<span style="font-size: 14px; font-weight: bold;"> ${index.index+1}. ${obj.xmmc}</span>
				</div>
				<table style="width:100%;margin-top: 0px;" class="table_view">
					<col width="120"/>
					<col width="160"/>
					<col width="150"/>
					<col width="*"/>
					<tr>
						<th>开发企业:</th>
						<td colspan="3">${obj.qymc}</td>
					</tr>
					<tr>
						<th>项目地址:</th>
						<td colspan="3">(${obj.qxmc}) ${obj.jsdz}</td>
					</tr>
					<tr>
						<th>开盘时间:</th>
						<td>${obj.kpsj}</td>
						<th>计划交房日期:</th>
						<c:if test="${obj.sfxf != 1}"><td>${obj.jhjfrq}</td></c:if>
						<c:if test="${obj.sfxf == 1}"><td>现房</td></c:if>
					</tr>
					<tr>
						<th>施工状态:</th>
						<td>
							<c:if test="${obj.sgzt == 1}">正常施工</c:if>
							<c:if test="${obj.sgzt == 2}">停工停建</c:if>
							<c:if test="${obj.sgzt == 3}">建设完成</c:if>
						</td>
						<th>涉法涉诉:</th>
						<td>
							<c:if test="${obj.sfss == 0}">否</c:if>
							<c:if test="${obj.sfss == 1}">是</c:if>
						</td>
					</tr>
					<tr>
						<th>销售价格:</th>
						<td colspan="3">${obj.xsjg} 元/平方米</td>
					</tr>
					<tr>
						<th>销售电话:</th>
						<td>${obj.xsdh}</td>
						<th>看房直通车联系电话:</th>
						<td>${obj.kfdh}</td>
					</tr>
				</table>
			</c:forEach>
		</div>
	</div>
<br/><br/>
</form>
</body>
</html>