<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>项目信息-新增</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript" src="${ctxStatic}/js/DatePicker/WdatePicker.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/coob/FileUpload.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<link type="text/css" href="${ctxStatic}/js/bootstrap/css/bootstrap.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.viewer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/viewer/viewer.css" rel="stylesheet" media="all" />
	<script type="text/javascript" src="${ctxStatic}/js/viewer/viewer-1.10.4.js"></script>

	<script type="text/javascript">
		function szSfxfVal(){
			var sf = document.getElementById('sfxfb').checked;
			if( sf == true ) {
				$('#sfxf').val(1);
			} else {
				$('#sfxf').val(0);
			}
		}

		//修改基本信息
		function saveXmxx(){
			var xmmc = document.getElementById('xmmc').value;
			if( xmmc == '' ){ layer.msg('请填写项目名称'); return false; }
			var qx = $('select option:selected').val();
			if( qx == '' ) { layer.msg('请选择区县'); return false; }
			var kpsj = document.getElementById('kpsj').value;
			if( kpsj == ''  ){ layer.msg('请填写开盘时间'); return false; }

			var xsdh = document.getElementById('xsdh').value;
			if( xsdh == '' ){ layer.msg('请填写销售电话'); return false; }
			var xsjg = document.getElementById('xsjg').value;
			if( xsjg == 0 || xsjg == '' ){ layer.msg('请填写销售价格'); return false; }
			var sgzt =$("input[name='sgzt']:checked").val();
			if( sgzt == null ) { layer.msg('请选择施工状态'); return false; }
			var sfss =$("input[name='sfss']:checked").val();
			if( sfss == null ) { layer.msg('请选择涉法涉诉状态'); return false; }
			var kfdh = $('#kfdh').val();
			if( kfdh == '' ){  layer.msg('请填写房直通车电话'); return false; }

			ajaxLoading();
			$.ajax({
				url:'${ctx}/xmxx/qy/doEdit',
				data:$('#form0').serialize(),
				type:'post',
				dataType:'json',
				success:function(r){
					layer.msg(r.msg);
					ajaxLoadEnd();
				}
			});
		}

		function saveHxxx() {
			var shi  = $('#shi').val();
			var ting = $('#ting').val();
			var wei  = $('#wei').val();

			if( shi == '' || ting == '' || wei == '' ) {
				layer.msg('请填写完整户型信息');
				return false;
			}

			ajaxLoading();
			$.ajax({
				url:'${ctx}/xmxx/qy/saveHx',
				data:$('#form1').serialize(),
				type:'post',
				dataType:'json',
				success:function(r){
					layer.msg(r.msg);
					ajaxLoadEnd();
					if( r.code == 0 ) {
						$('#shi').val('');
						$('#ting').val('');
						$('#wei').val('');
						addHxDiv(r.xmhx);
					}
				}
			});
		}

		function delHxxx(id) {
			if(confirm("确认要删除该信息吗?")){
				ajaxLoading();
				$.ajax({
					url:'${ctx}/xmxx/qy/delHx',
					data:{'id':id},
					type:'post',
					dataType:'json',
					success:function(r){
						layer.msg(r.msg);
						ajaxLoadEnd();
						if( r.code == 0 ) {
							$('#hxItem'+id).remove();
						}
					}
				});
			}
		}

		function addHxDiv(xmhx){
			var id = xmhx.id;
			var hx = xmhx.hx;
			var htm = '<div id="hxItem'+id+'" class="hxItDiv">';
			htm += '<span>'+hx+'</span> ';
			htm += '<span><a href="javascript:void(0);" onclick="delHxxx('+id+')" class="a_del" style="font-size: 12px;">[删除]</a> </span>';
			htm += '</div>'

			var hxDiv = $('#xmhxDiv');
			hxDiv.append(htm);
		}

		function showUploadXmtp(lb){
			var xmid = $('#xmid').val();
			var url = '${ctx}/xmxx/qy/toUpload?lb='+lb+'&xmid='+xmid;
			opendialog('XmtpDialog', '上传文件', 0, 0, url);
		}

		function showXmtpItems(lb) {
			var xmid = $('#xmid').val();
			$.ajax({
				url:'${ctx}/xmxx/qy/xmtps',
				data:{'xmid':xmid, 'lb':lb},
				type:'post',
				dataType:'json',
				success:function(r){
					var list = r.list;
					showXmXgt(lb, list);
				}
			});
		}

		function showXmXgt(lb, list){
			var xmtpDiv = null;
			var viewerXmtpDiv = null;
			if( lb == 1 ) {
				xmtpDiv = $('#xmXgtDiv');
				viewerXmtpDiv = $('#viewerXgt');
			} else if( lb == 2 ){
				xmtpDiv = $('#xmHxtDiv');
				viewerXmtpDiv = $('#viewerHxt');
			} else if( lb == 3 ){
				xmtpDiv = $('#xmGstDiv');
				viewerXmtpDiv = $('#viewerGst');
			}

			xmtpDiv.html('');
			viewerXmtpDiv.html('');
			for( var i=0; i<list.length; i++ ) {
				var tpmc = list[i].tpmc;
				var tpid = list[i].id
				var tpurl = list[i].url;
				var slturl = list[i].slturl;
				var ysturl = list[i].ysturl;

				var divId = null;
				if (lb == 1) {
					divId = 'xgtDiv' + tpid;
				} else if (lb == 2){
					divId = 'hxtDiv' + tpid;
				} else if (lb == 3){
					divId = 'gstDiv' + tpid;
				}

				var htm = '';
				htm += '<div id="'+divId+'" class="divTp">';
				htm += '<div class="divTpIt">';
				htm += '<div class="shanchu">';
				htm += '<span class="wjmc">'+tpmc+'</span>';
				htm += '<span class="del"><img src="${ctxStatic}/images/del2.png" onclick="delXmtp('+tpid+');" /></span>';
				htm += '</div>';
				htm += '<img class="imgTp" src="${ctx}/file/img?u='+slturl+'" style="" onclick="previewImg('+lb+','+i+')" title="查看图片" />';
				htm += '</div></div>';
				xmtpDiv.append(htm);

				var xgtHtm = '';
				xgtHtm += '<img data-original="${ctx}/file/img?u='+ysturl+'" src="${ctx}/file/img?u='+ysturl+'"/>'
				viewerXmtpDiv.append(xgtHtm);
			}
		}

		function delXmtp(id) {
			if(confirm("确认要删除该图片吗?")){
				ajaxLoading();
				$.ajax({
					url:'${ctx}/xmxx/qy/delXmtp',
					data:{'id':id},
					type:'post',
					dataType:'json',
					success:function(r){
						var lb = r.lb;
						layer.msg(r.msg);
						ajaxLoadEnd();

						if( r.code == 0 ) {
							showXmtpItems(lb);
						}
					}
				});
			}
		}

		var _viewer = null;
		function previewImg(lb, index){
			if( _viewer != null){
				_viewer.destroy();
			}

			var e = null;
			if( lb == 1 ) {
				e = document.getElementById('viewerXgt');
			} else if( lb == 2 ){
				e = document.getElementById('viewerHxt');
			} else if( lb == 3 ){
				e = document.getElementById('viewerGst');
			}
			_viewer = new Viewer(e, {
				url: 'data-original',  	//显示大图时，获取的属性
				title: false 			//是否在大图上显示名字
			});
			_viewer.view(index);
		}
		function saveZjh(){
			var zsh = $("#zsh").val();
			var lx = $("input[name='lx']:checked").val();
			debugger
			if(lx == null) { layer.msg('请选择类型'); return false; }
			if( zsh == '') { layer.msg('请填写证件号信息'); return false; }
			$.ajax({
				url:'${ctx}/xmxx/qy/savezj',
				data:$('#form2').serialize(),
				type:'post',
				dataType:'json',
				success:function(r){
					layer.msg(r.msg);
					ajaxLoadEnd();
					if( r.code == 0 ) {
						$("#zsh").val('');
						addZj(r.xmzj);
					}
				}
			});
		}

		function addZj(xmzj){
			var id = xmzj.id;
			var zsh = xmzj.zsh;
			var lx = xmzj.lx;
			var xz = xmzj.xz;

			var htm = 'div id="zjItem'+id+'" class="zjDiv">';
			htm += '<span>'+zsh+'</span> ';
			if(lx == 1) {
				htm += '<span style="font-size: 12px; color: #999;">(预售)</span>';
			}
			if(lx == 2) {
				htm += '<span style="font-size: 12px; color: #999;">(现售)</span>';
			}
			if(xz == 1){
				htm += '<span style="font-size: 12px; color: #ce8483">[待审]</span>';
			}
			htm += '<span><a href="javascript:void(0);" onclick="delZj('+id+')" class="a_del" style="font-size: 12px;">[删除]</a> </span>';
			htm += '</div>'
			$("#xmzjDiv").append(htm);
		}

		function delZj(id) {
			var ItemId = "#zjItem" + id;
			if(confirm("确认要删除该信息吗?")){
				ajaxLoading();
				$.ajax({
					url:'${ctx}/xmxx/qy/delZj',
					data:{'id':id},
					type:'post',
					dataType:'json',
					success:function(r){
						layer.msg(r.msg);
						ajaxLoadEnd();
						if( r.code == 0 ) {
							$(ItemId).remove();
						}
					}
				});
			}
		}

		//上传公示图
		var upload = new FileUpload({
			fileId: 'uploadFile',
			divId: 'uploadDiv',
			url: "${ctx}/xmxx/qy/uploadGdt?xmid=${xmxx.id}&lb=3",
			fileType: "png, jpg, jpeg",
			maxFileSize: 500,
			auto: true,
			callback: uploadOk
		});

		function selectFile(){	//选择
			$('#uploadDiv').attr("style", "display:inline-block;");
			upload.select();
		}

		function uploadOk(str){	//回调
			var r = JSON.parse(str);
			if( r.code == 0 ){
				showXmXgt(3, r.list);
			} else {
				layer.msg('文件上传失败');
			}
		}
	</script>
	<style type="text/css">
		.hxItDiv {
			display: inline-block;
			width: 150px;
			padding-left: 20px;
		}
		.zjDiv {
			display: inline-block;
			width: 350px;
			padding-left: 20px;
		}
	</style>

	<style type="text/css">
		.divTp {display: inline-block; width: 135px; text-align: center; vertical-align: top; margin-bottom: 20px; margin-left:10px; position: relative;}
		.divTpIt {width: 127px; height: 147px; margin: 2px; border: 1px solid #E5CFBB; background-color: #E0E0E0;}
		.imgTp {cursor: hand; cursor: pointer; margin: 0; padding:0; width: 125px; height: auto;  max-height: 145px;}
		.shanchu {position:absolute; color: #FAFAFA; z-index: 99; width: 127px; height: 30px; line-height: 30px; bottom: 0px; background: rgba(0, 0, 0, 0.6); }
		.shanchu .wjmc{ float: left; display: inline-block; padding-left: 3px; width: 89px; height: 30px; line-height: 30px; text-align: left;
			white-space: nowrap; overflow: hidden; text-overflow: ellipsis; font-size: 12px; font-weight: 400;
		}
		.shanchu .del{ float: right; display: inline-block; padding-right: 5px; height: 30px; width: 30px; text-align: center; opacity: 1; }
		.shanchu img{ width: 23px; hegith: 23px; display: inline-block; vertical-align: middle; opacity: 1; cursor: hand; cursor: pointer; margin: 0; padding:0; }

	</style>
</head>
<body>
<input type="hidden" id="xmid" value="${xmxx.id}" />

<div class="page_title">项目信息-信息编辑：
	<div>
		<a id="bakBtn" href="${ctx}/xmxx/sh/doPage" class="a_btn_blue">返回列表</a>
	</div>
</div>

<div class="main">

	<form id="form0" method="post" >
		<input type="hidden" name="id" value="${xmxx.id}" />

		<div class="title_f">项目基本信息：
			<span style="padding-left: 30px;">
				<a href="javascript:void(0);" onclick="saveXmxx()" class="a_lan">[修改信息]</a>
				<span class="shuoming">(修改下面的基本信息后，需要点击该修改按钮保存信息)</span>
			</span>
		</div>
		<div class="content">
			<table style="width:100%" class="table_frame">
				<col width="150"/>
				<col width="*"/>
				<tr>
					<th>开发企业:</th>
					<td>
						${xmxx.qymc}
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>项目名称:</th>
					<td>
						<input type="text" id="xmmc" name="xmmc" value="${xmxx.xmmc}" style="width:350px" autocomplete="off" class="input" />
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>所属区县:</th>
					<td>
						<form:select path="xmxx.qx" cssClass="input">
							<form:options items="${qxlist}" itemValue="id" itemLabel="qxmc" />
						</form:select>
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>项目地址:</th>
					<td>
						<input type="text" id="jsdz" name="jsdz" value="${xmxx.jsdz}" style="min-width:350px" autocomplete="off" class="input" />
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>开盘时间:</th>
					<td>
						<input type="text" id="kpsj" name="kpsj" value="${xmxx.kpsj}" onclick="WdatePicker({dateFmt:'yyyy年MM月dd日'})" style="width: 130px;" readonly="readonly" class="Wdate_l" />
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>计划交房日期:</th>
					<td>
						<input type="text" id="jhjfrq" name="jhjfrq" value="${xmxx.jhjfrq}" onclick="WdatePicker({dateFmt:'yyyy年MM月dd日'})" style="width: 130px;" readonly="readonly" class="Wdate_l" />
						<input type="hidden" id="sfxf" name="sfxf" value="${xmxx.sfxf}" />
						<label style="font-weight: normal;"><input type="checkbox" id="sfxfb" value="1" <c:if test="${xmxx.sfxf==1}">checked</c:if> onchange="szSfxfVal()" /> 现房</label>
						<span class="shuoming">(如果是现房，可以不选择‘计划交房日期’)</span>
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>施工状态:</th>
					<td>
						<label style="vertical-align: middle; font-weight: normal;"><input type="radio" name="sgzt" value="1" <c:if test="${xmxx.sgzt==1}">checked</c:if>> 正常施工</label> &nbsp;
						<label style="vertical-align: middle; font-weight: normal;"><input type="radio" name="sgzt" value="2" <c:if test="${xmxx.sgzt==2}">checked</c:if>> 停工停建</label>
						<label style="vertical-align: middle; font-weight: normal;"><input type="radio" name="sgzt" value="3" <c:if test="${xmxx.sgzt==3}">checked</c:if>> 建设完成</label>
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>是否涉法涉诉:</th>
					<td>
						<label style="vertical-align: middle; font-weight: normal;"><input type="radio" name="sfss" value="0" <c:if test="${xmxx.sfss==0}">checked</c:if>> 否</label> &nbsp;
						<label style="vertical-align: middle; font-weight: normal;"><input type="radio" name="sfss" value="1" <c:if test="${xmxx.sfss==1}">checked</c:if>> 是</label>
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>销售价格:</th>
					<td>
						<input type="text" id="xsjg" name="xsjg" value="${xmxx.xsjg}" onkeyup="value=value.replace(/[^\d\.]/g,'')" style="width:100px" autocomplete="off" class="input" /> 元/平方米
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>销售电话:</th>
					<td>
						<input type="text" id="xsdh" name="xsdh" value="${xmxx.xsdh}" style="width:250px" autocomplete="off" class="input" />
					</td>
				</tr>
				<tr>
					<th><span class="bitian">*</span>看房直通车电话:</th>
					<td>
						<input type="text" id="kfdh" name="kfdh" value="${xmxx.kfdh}" style="width:250px" autocomplete="off" class="input" />
					</td>
				</tr>
			</table>
		</div>
	</form>

	<%--预售许可证--%>
	<form id="form2" method="post" >
		<div class="title_l">证件信息：
			<sapn style="padding-left: 30px; color: #444444; font-weight: normal;">
				<input type="hidden" name="xmid" value="${xmxx.id}" />
				<label style="font-weight: normal;"><input type="radio" name="lx" value="1"> 预售许可证</label>
				<label style="font-weight: normal;"><input type="radio" name="lx" value="2"> 现售备案证明</label>
				<sapn style="margin-left: 20px;">证号：<input type="text" id="zsh"  name="zsh"  style="width: 200px;" class="input" autocomplete="off" /></sapn>
			</sapn>
			<sapn style="padding-left: 20px; color: #444444; font-weight: normal;">
				<a href="javascript:void(0);" onclick="saveZjh()" class="a_lan">[添加证号]</a>
			</sapn>
		</div>
	</form>
	<div id="xmzjDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
		<c:forEach varStatus="index" items="${zjList}" var="zj" >
			<div id="zjItem${zj.id}" class="zjDiv">
				<span>${zj.zsh}</span>
				<c:if test="${zj.lx==1}">
					<span style="font-size: 12px; color: #999;">(预售)</span>
				</c:if>
				<c:if test="${zj.lx==2}">
					<span style="font-size: 12px; color: #999;">(现售)</span>
				</c:if>
				<c:if test="${zj.xz==1}"><span style="font-size: 12px; color: #ce8483">[待审]</span></c:if>
				<span><a href="javascript:void(0);" onclick="delZj(${zj.id})" class="a_del" style="font-size: 12px;">[删除]</a> </span>
			</div>
		</c:forEach>
	</div>

	<form id="form1" method="post" >
		<div class="title_l">在售户型信息：
			<sapn style="padding-left: 30px; color: #444444; font-weight: normal;">
				<input type="hidden" name="xmid" value="${xmxx.id}" />
				<input type="text" id="shi"  name="shi"  style="width: 30px;" class="input" onkeyup="value=value.replace(/[^\d]/g,'')" autocomplete="off" />室
				<input type="text" id="ting" name="ting" style="width: 30px;" class="input" onkeyup="value=value.replace(/[^\d]/g,'')" autocomplete="off" />厅
				<input type="text" id="wei"  name="wei"  style="width: 30px;" class="input" onkeyup="value=value.replace(/[^\d]/g,'')" autocomplete="off" />卫
			</sapn>
			<sapn style="padding-left: 20px; color: #444444; font-weight: normal;">
				<a href="javascript:void(0);" onclick="saveHxxx()" class="a_lan">[添加户型]</a>
			</sapn>
		</div>
	</form>
	<div id="xmhxDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
		<c:forEach varStatus="index" items="${hxList}" var="h" >
		<div id="hxItem${h.id}" class="hxItDiv">
			<span>${h.hx}</span>
			<span><a href="javascript:void(0);" onclick="delHxxx(${h.id})" class="a_del" style="font-size: 12px;">[删除]</a> </span>
		</div>
		</c:forEach>
	</div>


	<div class="title_l">项目效果图：
		<span style="padding-left: 50px;">
			<a href="javascript:void(0);" onclick="showUploadXmtp(1)" class="a_lan">[上传图片]</a>
		</span>
		<span style="padding-left: 20px; font-weight: normal;">(图片需小于2M，超过2M无法上传)</span>
	</div>
	<div id="xmXgtDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
		<c:forEach varStatus="index" items="${xgtList}" var="tp">
			<div id="xgtDiv${tp.id}" class="divTp">
				<div class="divTpIt">
					<div class="shanchu">
						<span class="wjmc">${tp.tpmc }</span>
						<span class="del">
							<img src="${ctxStatic}/images/del2.png" onclick="delXmtp(${tp.id});" />
						</span>
					</div>
					<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(1, ${index.index})" title="查看图片" />
				</div>
			</div>
		</c:forEach>
	</div>
	<div id="viewerXgt" style="display: none;">
		<c:forEach items="${xgtList}" var="tp">
			<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
		</c:forEach>
	</div>

	<div class="title_l">项目户型图：
		<span style="padding-left: 50px;">
			<a href="javascript:void(0);" onclick="showUploadXmtp(2)" class="a_lan">[上传图片]</a>
		</span>
		<span style="padding-left: 20px; font-weight: normal;">(图片需小于2M，超过2M无法上传)</span>
	</div>
	<div id="xmHxtDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
		<c:forEach varStatus="index" items="${hxtList}" var="tp">
			<div id="hxtDiv${tp.id}" class="divTp">
				<div class="divTpIt">
					<div class="shanchu">
						<span class="wjmc">${tp.tpmc }</span>
						<span class="del">
							<img src="${ctxStatic}/images/del2.png" onclick="delXmtp(${tp.id});" />
						</span>
					</div>
					<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(2, ${index.index})" title="查看图片" />
				</div>
			</div>
		</c:forEach>
	</div>
	<div id="viewerHxt" style="display: none;">
		<c:forEach items="${hxtList}" var="tp">
			<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
		</c:forEach>
	</div>

	<div class="title_l">价格公示栏：
		<span style="padding-left: 50px;">
			<a href="javascript:void(0);" onclick="showUploadXmtp(3)" class="a_lan">[上传图片]</a>
		</span>
		<span style="padding-left: 20px; font-weight: normal;">(上传一房一价图片，图片需小于2M，超过2M无法上传)</span>
	</div>
	<div id="xmGstDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
		<c:forEach varStatus="index" items="${gstList}" var="tp">
			<div id="gstDiv${tp.id}" class="divTp">
				<div class="divTpIt">
					<div class="shanchu">
						<span class="wjmc">${tp.tpmc }</span>
						<span class="del">
							<img src="${ctxStatic}/images/del2.png" onclick="delXmtp(${tp.id});" />
						</span>
					</div>
					<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(3, ${index.index})" title="查看图片" />
				</div>
			</div>
		</c:forEach>
	</div>

	<div id="viewerGst" style="display: none;">
		<c:forEach items="${gstList}" var="tp">
			<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
		</c:forEach>
	</div>
</div>
<br/><br/><br/>
</body>
<p:message/>
</html>