<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <title>团购业务-列表</title>
    <meta charset="UTF-8">
    <link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

    <link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
    <script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

    <script>
        function reloadMee(){
            window.location.reload(true);
        }

        function doDelInfo(id){
            if(confirm("确认要删除该信息吗?")){
                ajaxLoading();
                window.location.href = '${ctx}/qyxx/gl/doDel?id='+id;
            }
        }
    </script>
</head>
<body>
<form id="form0" action="${ctx}/tgyw/qy/doList" method="Post">
<div class="main">
    <div class="page_title">团购业务 - 信息列表：
        <span style="padding-left: 20px; color: #666666; font-weight: normal;">(显示正在进行的团购信息)</span>
    </div>

    <div class="select">
        <div class="hang">
            <span class="tj">团购名称:<input type="text" id="tgmc" name="tgmc" value="${tgmc}" style="width:150px;" class="input_l"/></span>
            <input type="submit" id="selBtn" value="查询" class="a_btn_blue"/>
        </div>
    </div>
    <div class="content">
        <table style="width:100%;" class="table_list">
            <thead>
            <tr>
                <th width="40">序号</th>
                <th>团购名称</th>
                <th>活动期限</th>
                <th>提交时间</th>
                <th>发布时间</th>
                <th>项目数</th>
                <th>报名数</th>
                <th>成交数</th>
                <th>状态</th>
                <th width="70">操作</th>
            </tr>
            </thead>
            <c:forEach varStatus="index" items="${pageInfo.list}" var="obj">
                <tr>
                    <td align="center">${index.index+1}</td>
                    <td align="left">${obj.tgmc}</td>
                    <td align="center">${obj.ksrq} 至 ${obj.jzrq}</td>
                    <td align="center">${obj.tjsj}</td>
                    <td align="center">${obj.fbsj}</td>
                    <td align="center">${obj.xms}</td>
                    <td align="center">${obj.bmrs}</td>
                    <td align="center">${obj.cjrs}</td>
                    <td align="center">
                        <c:if test="${obj.zt==0}">暂存</c:if>
                        <c:if test="${obj.zt==1}">未发布</c:if>
                        <c:if test="${obj.zt==2}">报名中</c:if>
                        <c:if test="${obj.zt==4}">已结束</c:if>
                        <c:if test="${obj.zt==5}">已关闭</c:if>
                        <c:if test="${obj.zt==6}">已撤销</c:if>
                    </td>
                    <td align="center">
                        <a id="viwBtn" href="${ctx}/tgyw/qy/toView?id=${obj.id}" class="a_lan">[详情]</a>
                    </td>
                </tr>
            </c:forEach>
        </table>
    </div>
    <div class="page">
        <p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}"
                 pageSize="${pageInfo.pageSize}" url="${ctx}/tgyw/qy/doPage" styleClass="page" theme="text"/>
    </div>
</div>
</form>
</body>
<p:message/>
</html>