<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <title>团购项目信息-列表</title>
    <meta charset="UTF-8">
    <link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

    <script>
        var chk_value = [];
        var chk_length = 0;
        var chk_index = 0;

        function querenChengjiao(){
            //获取选择的成交人
            chk_value = [];
            $('input[name="cjrid"]:checked').each(function(){
                chk_value.push($(this).val());
            });
            chk_length = chk_value.length;
            chk_index = 0;

            if( chk_length == 0 ){
                layer.msg('没有选择人员');
                return false;
            }

            ajaxLoading();
            doChengjiao();
        }

        function doChengjiao(){
            var ryid = chk_value[chk_index];
            $.ajax({
                url:'${ctx}/tgyw/qy/doJc',
                data:{"id": ryid},
                type:'post',
                dataType:'json',
                success:function(r){
                    $('#xzSpan'+ryid).html('');
                    $('#smSpan'+ryid).html('已成交');

                    chk_index ++;
                    if( chk_index >= chk_length ){
                        ajaxLoadEnd();
                        layer.msg('信息保存完成');
                        return false;
                    }

                    setTimeout("doChengjiao()", 400 );
                }
            });
        }
    </script>
</head>
<body>
<div class="main">
    <div class="page_title">
        报名人员查看：
        <span style="padding-left: 30px;">
            <a href="javascript:void(0);" onclick="querenChengjiao()" class="a_lan">[确认成交]</a>
        </span>
        <div>
            <a href="javascript:void(0);" onclick="parent.closePage()" class="a_lan">[关闭]</a>
        </div>
    </div>

    <div class="content">
        <table style="width:100%;" class="table_list">
            <thead>
            <tr>
                <th width="50">选择</th>
                <th width="50">序号</th>
                <th>姓名</th>
                <th>手机号码</th>
                <th>类别</th>
                <th>证件号</th>
                <th>报名时间</th>
                <th>成交</th>
            </tr>
            </thead>
            <c:forEach varStatus="index" items="${ryList}" var="obj">
                <tr>
                    <td align="center">
                        <c:if test="${obj.cjzt==1}">
                            <sapn id="xzSpan${obj.id}">
                                <input type="checkbox" name="cjrid" value="${obj.id}" />
                            </sapn>
                        </c:if>
                    </td>
                    <td align="center">${index.index+1}</td>
                    <td align="center">${obj.xm}</td>
                    <td align="center">${obj.sjhm}</td>
                    <td align="center">${obj.rylb}</td>
                    <td align="center">${obj.zjhm}</td>
                    <td align="center">${obj.bmrq}</td>
                    <td align="center">
                        <span id="smSpan${obj.id}" style="color: #666666;">
                            <c:if test="${obj.cjzt==1}"></c:if>
                            <c:if test="${obj.cjzt==2}">已成交</c:if>
                        </span>
                    </td>
                </tr>
            </c:forEach>
        </table>
    </div>
</div>
<br/><br/>
</body>
</html>