<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>团购业务 - 详情</title>
	<meta content="UTF-8" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function reloadMee(){
			window.location.reload(true);
		}

		function doQrcj(id) {
			if(confirm("确认成交吗?")){
				ajaxLoading();
				$.ajax({
					url:'${ctx}/tgry/doQrcj',
					data:{'id':id},
					type:'post',
					dataType:'json',
					success:function(r){
						layer.msg(r.msg);
						ajaxLoadEnd();
						setTimeout("window.location.reload(true)", 1800 );
					}
				});
			}
		}

	</script>
	<style type="text/css">
		.bzDivv {padding: 0px 8px; width: 400px; min-height: 50px; border: 1px solid #E2E2E2;}
		.dwSpann {font-size: 12px;}

		.xm-bt { color: #666666; }
		.xm-bt2 { display: inline-block; width: 150px;}
		.xm-jg { display: inline-block; width: 150px; color: #ab7100; font-weight: bold; }
		.xm-jg dw {color: #666666; font-weight: normal; font-size: 12px; }

		.yh-div { display: inline-block; text-align: right; width: 195px; color: #666666; }
		.c{ text-align: center;}
	</style>
</head>
<body>
<div style="text-align: left;">
	<c:forEach varStatus="index" items="${tgxmList}" var="tgxm" >
		<div style="line-height: 35px; margin: 10px 0px; padding-bottom: 10px; border-bottom: 1px solid #E0E0E0;">
			<div style="padding-top: 5px;">
				<span style="font-weight: bold; padding-right: 10px;">${index.index+1}. ${tgxm.xmmc}</span>
				<c:if test="${tgxm.shzt==-2}"><span class="tuz bc5">撤销</span></c:if>
				<c:if test="${tgxm.shzt==-1}"><span class="tuz bc5">审核驳回</span></c:if>
				<c:if test="${tgxm.shzt==1}"><span class="tuz bc1">未审核</span></c:if>
				<c:if test="${tgxm.shzt==2}"><span class="tuz bc2">审核通过</span></c:if>
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">开发企业：</span> ${tgxm.qymc}
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">项目地址：</span> (${tgxm.qxmc}) ${tgxm.jsdz}
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">开盘时间：</span>
				<span class="xm-bt2">${tgxm.kpsj}</span>
				<span class="xm-bt">计划交房日期：</span>
				<c:if test="${tgxm.sfxf != 1}"><td>${tgxm.jhjfrq}</td></c:if>
				<c:if test="${tgxm.sfxf == 1}"><td>现房</td></c:if>
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">施工状态：</span>
				<span class="xm-bt2">
							<c:if test="${tgxm.sgzt == 1}">正常施工</c:if>
							<c:if test="${tgxm.sgzt == 2}">停工停建</c:if>
							<c:if test="${tgxm.sgzt == 3}">建设完成</c:if>
				</span>
				<span class="xm-bt">涉法涉诉：
					<c:if test="${tgxm.sfss == 0}">否</c:if>
					<c:if test="${tgxm.sfss == 1}">是</c:if>
				</span>
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">销售价格：</span>
				<span class="xm-jg">${tgxm.xsjg} <span class="dw">元/㎡</span></span>
				<span class="xm-bt">销售电话：</span> ${tgxm.xsdh}
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">看房直通车联系电话：</span> ${tgxm.kfdh}
			</div>
			<div style="padding-left: 30px;">
				<div class="xm-bt">优惠活动：</div>
				<div style="margin-left: 50px; border: 1px solid #E0E0E0;">
					<div><span class="yh-div">3-5人团（含3、5人）优惠：</span>${tgxm.yh3}</div>
					<div><span class="yh-div">6-10人团（含10人）优惠：</span>${tgxm.yh5}</div>
					<div><span class="yh-div">10人以上团优惠：</span>${tgxm.yh10}</div>
					<div><span class="yh-div">其他优惠：</span>${tgxm.yhqt}</div>
				</div>
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">审核人：</span>  <span style="padding-left: 10px;">${tgxm.shry}</span>
				<span class="xm-bt" style="padding-left: 20px;">审核时间：</span> <span style="padding-left: 20px;">${tgxm.shsj}</span>
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">审核意见： </span> ${tgxm.shyj}
			</div>
			<div style="padding-left: 30px;">
				<span class="xm-bt">团购情况：</span>
				<span>浏览数：${tgxm.lls} <span class="dwSpann">人次</span></span>
				<span style="padding-left: 20px;">报名人数：${tgxm.bmrs} <span class="dwSpann">人</span></span>
				<span style="padding-left: 20px;">成交人数：${tgxm.cjrs} <span class="dwSpann">人</span></span>
				<a href="javascript:void(0);" onclick="parent.showRyPage(${tgxm.id})" class="a_lan">[查看报名人员]</a>
			</div>
		</div>
	</c:forEach>
	<br/>
	<br/>
</div>
</body>
</html>
