<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>文件上传</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/js/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<link type="text/css" href="${ctxStatic}/js/fileinput/css/fileinput.css" rel="stylesheet" />
	
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/fileinput/js/fileinput.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/fileinput/js/locales/zh.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>
	
	<script type="text/javascript">
		$(function () {
			var xmid = $('#xmid').val();
			var lb   = $('#lb').val();

			$("#upfiles").fileinput({
				language: 'zh', 								//设置语言
				uploadUrl: '${ctx}/xmxx/qy/upload', 			//上传的地址
				allowedFileExtensions: ['jpg','jpeg','png','gif'],	//接收的文件后缀
				uploadExtraData:{'xmid':xmid, 'lb':lb},
				showUpload: true, 				//显示批量上传按钮
				showCaption: true,				//是否显示标题
				browseClass: "btn btn-primary", //按钮样式
				dropZoneEnabled: true,			//是否显示拖拽区域
				uploadAsync: false,				//默认异步上传
				enctype: 'multipart/form-data',
				validateInitialCount: true,
				maxFileSize: 2048,
				previewFileIcon: "<i class='glyphicon glyphicon-king'></i>",
				msgFilesTooMany: "选择上传的文件数量({n}) 超过允许的最大数值{m}",
				// msgSizeTooLarge
			});
			$("#upfiles").on('filebatchselected', function(event, data, id, index) {
				$(this).fileinput("upload"); 	//自动上传
			});
			//导入文件上传完成之后的事件
			$("#upfiles").on("filebatchuploadsuccess", function (event, data, previewId, index) {
				parent.showXmtpItems(lb);
				$(this).fileinput('clear');
				layer.msg('文件上传完成');
			});
			$("#upfiles").on("filebatchuploaderror", function (event, data, previewId, index) {
				layer.msg('文件上传失败');
			});

		});
	</script>
	
</head>
<body>

<input type="hidden" id="xmid" value="${xmid}" />
<input type="hidden" id="lb" value="${lb}" />

<form id="form0" method="post" enctype="multipart/form-data">
<div class="modal-body">
	<input type="file" id="upfiles" name="upfiles" multiple class="file-loading" />
</div>
<div style="padding-left: 20px; color: #838383; font-size: 12px;">支持jpg、jpeg、png、gif格式图片，图片不能超过2M。</div>
</form>
</body>
<p:message/>
</html>