package com.coob.modules.api;

import com.github.pagehelper.PageHelper;
import org.springframework.stereotype.Controller;

@Controller
public class BaseApi {

    private static final String APP_KEY = "dd94ded27aee4ccd";

    private int pageSize = 15;	//每页行数
    private int pageNum;		//当前页数

    public void offsetPage(Integer pNum, Integer pSize){

        if( pNum == null ) {
            pNum = 1;
        }

        this.pageNum = pNum;
        if( pSize != null && pSize > 0 ) {
            this.pageSize = pSize;
        }

        int offset = (this.pageNum-1) * pageSize;

        PageHelper.offsetPage(offset, this.pageSize);
    }

    public void offsetPage(Integer pNum) {
        this.offsetPage(pNum, null);
    }

    /**
     * 检查接口调用key值
     * @param key
     * @return
     */
    public boolean checkKey(String key) {
        if( APP_KEY.equals(key) ) {
            return true;
        } else {
            return false;
        }
    }
}
