package com.coob.modules.api;

import com.coob.aframe.base.Application;
import org.apache.commons.io.FileUtils;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpStatus;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.io.File;
import java.io.IOException;

@Controller
@RequestMapping("/api")
public class ImgApi {

    /**
     * 图片查看
     * @param u 路径
     * @return
     * @throws IOException
     */
    @RequestMapping(value="/img", method={RequestMethod.GET, RequestMethod.POST}, produces = "application/json;charset=utf8")
    public ResponseEntity<byte[]> showImg(String u) throws IOException {
        String base = Application.Upload_File_Path;
        String nm = null;
        File file= new File(base + u);

        System.out.println(file);

        if( file != null && file.exists() && file.isFile() ){
            if( nm == null && file != null ){
                nm = file.getName();
            }
            HttpHeaders headers = new HttpHeaders();
            String _fileName = new String(nm.getBytes("UTF-8"),"iso-8859-1");		//为了解决中文名称乱码问题
            headers.setContentDispositionFormData("attachment", _fileName);
            //headers.set(HttpHeaders.CONTENT_DISPOSITION, "attachment; filename=\"" + _fileName + "\"");
            headers.setContentType(MediaType.APPLICATION_OCTET_STREAM);
            return new ResponseEntity<byte[]>(FileUtils.readFileToByteArray(file), headers, HttpStatus.OK);
        } else {
            return null;
        }
    }
}
