package com.coob.modules.api.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
public class BmjxVo implements Serializable {
    private static final long serialVersionUID = -1L;

    private Integer hdid;
    private Integer xmid;
    private String tgmc;
    private String xmmc;
    private String qymc;
    private String qxmc;
    private String jsdz;
    private String ksrq;
    private String jzrq;
    private Integer bmrs;
    private String xm;
    private String sjhm;
    private String yh3;
    private String yh5;
    private String yh10;
    private String yhqt;

    private List<String> yhs;   //优惠活动列表

    public void putYh() {
        if (this.yhs == null) {
            this.yhs = new ArrayList<>();
        }
        this.yhs.add(this.getYh3sm());
        this.yhs.add(this.getYh5sm());
        this.yhs.add(this.getYh10sm());
        this.yhs.add(this.getYhqtsm());
    }

    public String getYh3sm() {
        StringBuffer s = new StringBuffer("3-5人团（含3、5人）优惠：");
        return s.append(this.yh3).toString();
    }

    public String getYh5sm() {
        StringBuffer s = new StringBuffer("6-10人团（含10人）优惠：");
        return s.append(this.yh5).toString();
    }

    public String getYh10sm() {
        StringBuffer s = new StringBuffer("10人以上团优惠：");
        return s.append(this.yh10).toString();
    }

    public String getYhqtsm() {
        StringBuffer s = new StringBuffer("其他优惠：");
        return s.append(this.yhqt).toString();
    }

}
