package com.coob.modules.api.vo;


import com.coob.modules.tg.domain.Tgxx;
import lombok.Data;

import java.io.Serializable;

@Data
public class TgxxVo implements Serializable {
    private static final long serialVersionUID = -1L;

    private Integer hdid;       //活动ID
    private String hdmc;        //活动名称
    private String ksrq;        // 开始日期
    private String jzrq;        // 截止日期
    private String ryyq;        // 人员要求
    private String bmyq;        // 报名要求
    private String tpurl;       //图片路径

    public TgxxVo(){}

    public TgxxVo(Tgxx tgxx) {
        this.hdid = tgxx.getId();
        this.hdmc = tgxx.getTgmc();
        this.ksrq = tgxx.getKsrq();
        this.jzrq = tgxx.getJzrq();
        this.ryyq = tgxx.getRyyq();
        this.bmyq = tgxx.getBmyq();
        this.tpurl = tgxx.getTpurl();
    }
}
