package com.coob.modules.api.vo;

import com.coob.modules.tg.domain.Xmtp;
import com.coob.modules.tg.domain.Xmxx;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class XmListVo implements Serializable {
    private static final long serialVersionUID = -1L;

    private Integer hdid;   //活动ID = tgxx.id
    private Integer xmid;   //项目ID
    private String xmmc;    //项目名称
    private Integer bmrs;   //报名人数
    private String qymc;    //开发企业
    private String qxmc;    //区县名称
    private String jsdz;    //项目地址
    private String kpsj;    //开盘时间
//    private String jhjfsj;      //计划交房时间
    private String tpurl;    //图片url

    public XmListVo(){}

    public XmListVo(Integer hdid, Xmxx xm, List<Xmtp> tpList) {
        this.hdid = hdid;
        this.xmid = xm.getId();
        this.xmmc = xm.getXmmc();
        this.bmrs = xm.getBmrs();
        this.qymc = xm.getQymc();
        this.qxmc = xm.getQxmc();
        this.jsdz = xm.getJsdz();
        this.kpsj = xm.getKpsj();
//        this.jhjfsj = xm.getJhjfrq();

        if( tpList != null && tpList.size() > 0 ) {
            for(Xmtp tp : tpList) {
                if( this.xmid.intValue() == tp.getXmid().intValue() ) {
                    this.tpurl = tp.getSlturl();
                    break;
                }
            }
        }
    }
}
