package com.coob.modules.tg.dao;

import com.coob.modules.tg.domain.Qyxx;

import java.util.List;
import java.util.Map;

/**
 * (Qyxx)表数据库访问层
 * @author makejava
 * @since 2024-08-01 17:01:36
 */
public interface QyxxDao {

    /**
     * 新增数据
     * @param Qyxx 实例对象
     * @return 影响行数
     */
    int insert(Qyxx Qyxx);

    /**
     * 修改数据
     * @param Qyxx 实例对象
     * @return 影响行数
     */
    int update(Qyxx Qyxx);

    /**
     * 通过主键删除数据
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 通过ID查询单条数据
     * @param id 主键
     * @return 实例对象
     */
    Qyxx selectById(Integer id);

    /**
     * 根据名称查询
     * @param qymc
     * @return
     */
    Qyxx selectByQymc(String qymc);

    /**
     * 查询所有列表
     * @return
     */
    List<Qyxx> selectListAll();

    /**
     * 分页查询
     * @param params
     * @return
     */
    List<Qyxx> selectByParams(Map<String, Object> params);

}

