package com.coob.modules.tg.dao;

import java.util.List;

import com.coob.modules.tg.domain.Xmhx;
import org.apache.ibatis.annotations.Param;

/**
 * 户型信息处理Dao
 */
public interface XmhxDao {

	/**
	 * 新增
	 * @param xmhx
	 * @return
	 */
	int insert(Xmhx xmhx);

	/**
	 * 删除
	 * @param id
	 * @return
	 */
	int deleteById(Integer id);

	/**
	 * 根据id查询信息
	 * @param hx
	 * @return
	 */
	Xmhx selectByHx(@Param("xmid")Integer xmid, @Param("hx")String hx);

	/**
	 * 条件查询列表
	 * @param xmid
	 * @return
	 */
	List<Xmhx> selectListByXmid(Integer xmid);

}
