package com.coob.modules.tg.domain;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 团购信息(TTgxx)实体类
 *
 * @author makejava
 * @since 2024-08-01 17:02:08
 */
@Data
@NoArgsConstructor
public class Tgxx implements Serializable {
    private static final long serialVersionUID = 563379275395126166L;

    private Integer id;
    private String tgmc;        // 团购名称
    private String ksrq;        // 开始日期
    private String jzrq;        // 截止日期
    private String ryyq;        // 人员要求
    private String bmyq;        // 报名要求
    private String bz;          // 备注
    private Integer tpbs;       // 图片标识？？
    private String tpurl;       // 图片地址
    private String zzbm;        // 组织部门
    private String tjr;         // 提交人
    private String tjsj;        // 提交时间
    private String fbr;         // 发布人
    private String fbsj;        // 发布时间
    private String jsr;         // 结束人
    private String jssj;        // 结束时间
    private Integer zt;         // 状态：0暂存 1提交（企业可以报名） 2发布（微信展示） 4结束（不可报名团购）  5关闭（企业不可标记成交） 6撤销（企业不可标记成交）
    private Integer xms;        // 项目数  审核通过的才算数
    private Integer lls;        // 浏览数
    private Integer bmrs;       // 报名人数
    private Integer cjrs;       // 成交人数
    private Integer state;      // 状态 1  -9

}
