package com.coob.modules.tg.domain;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 开发楼盘 项目基本信息
 */
@Data
@NoArgsConstructor
public class Xmxx implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer id;			//
	private String xmmc;		//项目名称
	private Integer qyid;		//企业id
	private String qymc;		//企业名称
	private Integer qx;			//所属区县
	private String qxmc;		//区县名称
	private String jsdz;		//项目地址
	private String kpsj;		//开盘时间 yyyy年MM月dd日
	private String jhjfrq;		//计划交房日期
	private Integer sgzt;		//施工状态:1\  正常施工  2\停工停建 3\建设完成
	private Integer sfss;		//涉法涉诉：0 否 1是
	private Integer sfxf;		//是否现房：0 否 1是
	private BigDecimal xsjg;	//销售价格
	private String xsdh;		//销售电话
	private String kfdh;		//看房直通车联系电话
	private String czr;			//操作人
	private String czsj;		//操作时间
	private Integer zt;			//状态 1暂存 2提交（待审核） 3审核不通过 5审核通过
	private String shry;		//审核人员
	private String shsj;		//审核时间
	private String shyj;		//审核意见
	private Integer state;		//

	private Integer tgs;	//参数团购数
	private Integer bmrs;	//报名人数
}

