package com.coob.system.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
 * 系统字典类别信息表
 * @author JK.Sun
 *
 */
@Data
public class DicType implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer id;
	private String typeCode;	//类别编码
	private String typeName;	//类别名称
	private String remark;		//备注信息
	private Integer editFlag;	//是否可编辑
	private Integer sn;			//顺序号
	private Integer version;	//版本号
	private Integer state;

	private List<DicItem> itemList;

}
