package com.coob.system.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 系统操作菜单
 * @author Administrator
 */
@Data
public class Menu implements Serializable {
    private static final long serialVersionUID = 4608058149653139450L;

    private Integer id;             //
    private Integer parentId;       //上级菜单  系统跟菜单为0，
    private String menuName;        //菜单名称  系统名称 - 模块名称 - 菜单名称
    private Integer menuType;       //菜单类别  0主管部门菜单  1开发企业
    private String url;             //路径
    private Integer sn;             //顺序号
    private Integer orders;         //级别 1系统 2模块  4菜单
    private Integer enableFlag;     //启用状态 1启用 2禁用
    private Integer state;          //数据状态

    private String parentName;    //上级菜单名称
    private boolean selected;
    private List<Menu> mList;
    private Integer[] resids;

}
