package com.coob.system.domain;

import lombok.Data;

import java.io.Serializable;

/**
 * 角色信息
 *
 * @author JK.Sun
 */
@Data
public class Role implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer id;
    private String roleName;        //角色名称
    private Integer roleType;       //角色类别 0主管部门 1开发企业
    private String remark;          //备注
    private Integer state;          //状态

}