<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>字典项管理</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		//保存信息
		function saveDataForm(){
			ajaxLoading();
			$.ajax({
				type: "POST",
				dataType: "json",
				url: "${ctx}/sys/dic/saveItem",
				data: $('#form0').serialize(),
				success: function (r) {
					ajaxLoadEnd();
					layer.msg(r.msg);
					setTimeout("parent.reloadMee()", 500 );
				}
			});
		}

		function delDataInfo(){
			if(confirm("确认要删除该信息吗?")){
				var itemId = $("#itemId").val();
				ajaxLoading();
				$.ajax({
					type: "POST",
					dataType: "json",
					url: "${ctx}/sys/dic/delItem",
					data: {'itemId' : itemId},
					success: function (r) {
						ajaxLoadEnd();
						layer.msg(r.msg);
						setTimeout("parent.reloadMee()", 500 );
					}
				});
			}
		}
	</script>
</head>
<body>
<form id="form0" action="${ctx}/sys/dic/saveItem" method="post" >
<input type="hidden" id="itemId" name="id" value="${dicItem.id}" />
<input type="hidden" id="typeCode" name="typeCode" value="${dicItem.typeCode}" />
<div class="main">
	<div class="content">
		<table style="width:100%" class="table_frame">
			<col width="110"/>
			<col width="*"/>
			<tr>
				<th>字典:</th>
				<td align="left">${dicType.typeName} <span style="font-size: 12px;">[${dicType.typeCode}]</span></td>
			</tr>
			<tr>
				<th valign="top">字典项值:</th>
				<td align="left" style="line-height: 25px; padding-top: 5px;">
					<input type="text" id="dicKey" name="dicKey" value="${dicItem.dicKey}" style="width:350px" class="input" />
					<br/>
					<span class="shuoming">(如：性别1=男，则填写‘1’)</span>
				</td>
			</tr>
			<tr>
				<th valign="top">字典项名:</th>
				<td align="left" style="line-height: 25px; padding-top: 5px;">
					<input type="text" id="dicValue" name="dicValue" value="${dicItem.dicValue}" style="width:350px" class="input" />
					<br/>
					<span class="shuoming">(如：性别1=男，则填写‘男’)</span>
				</td>
			</tr>
			<tr>
				<th>顺序号:</th>
				<td align="left">
					<input type="text" id="sn" name="sn" value="${dicItem.sn}" style="width:100px" class="input" />
				</td>
			</tr>
		</table>

		<div align="center" style="padding-top: 10px;">
			<input type="button" value="保存" onclick="saveDataForm()" class="a_btn_blue" />
			<c:if test="${dicItem.id > 0 }">
				<input type="button" value="删除" onclick="delDataInfo()" class="a_btn_blue" />
			</c:if>
		</div>

	</div>
</div>
</form>
</body>
</html>