<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>角色信息添加</title>
	<meta content="UTF-8" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/dtree/dtree.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/dtree/dtree.js" ></script>
	
	<script type="text/javascript">
		function xuanzeLeibie(){
			document.getElementById('form0').action = '${ctx}/sys/role/menu';
			document.getElementById('form0').submit();
		}

		function checkMenu(pid,id){
			var box = document.getElementById('menu'+pid+'_'+id);
			var isCheck = box.checked;
			//处理子菜单
			opChild('selMenuIds',id,isCheck);
			//处理父菜单
			if( isCheck == true ){
				opParent('selMenuIds',pid,isCheck);
			}
		}
		//处理子菜单
		function opChild(name,id,isCheck){
			var boxs = document.getElementsByName(name);
			for( var i=0;i<boxs.length;i++ ){
				var bb = boxs[i];
				var bid = bb.id.substr(4);
				bid = bid.split('_');
				if( bid[0] == id ){
					bb.checked = isCheck;
				}
			}
		}
		//处理父菜单+子菜单
		function opParent(name,pid,isCheck){
			var boxs = document.getElementsByName(name);
			for( var i=0;i<boxs.length;i++ ){
				var bb = boxs[i];
				var bid = bb.id.substr(4);
				bid = bid.split('_');
				if( bid[1] == pid ){
					bb.checked = isCheck;
					opParent(name,bid[0],isCheck);
				}
			}
		}

		function checkForm(){
			var roleName = document.getElementById('roleName').value;
			if( roleName == '' ){
				alert('没有录入角色名称');
				return false;
			}
			return true;
		}

		function guanbi(){
			parent.closePage(false);
		}
  </script>
</head>
<body>
<form id="form0" action="${ctx}/sys/role/doAdd" method="post" >
<input type="hidden" id="page" name="page" value="add" />
<div class="main">
	<div class="page_title">角色管理 - 信息添加： </div>
	<div class="content">
		<table style="width:100%" class="table_frame">
			<col width="110"/>
			<col width="*"/>
			<tr>
				<th>角色类别:</th>
				<td>
					<label><input type="radio" name="roleType" value="0" onchange="xuanzeLeibie()" <c:if test="${role.roleType==0}">checked</c:if>> 主管部门</label>
					<label><input type="radio" name="roleType" value="1" onchange="xuanzeLeibie()" <c:if test="${role.roleType==1}">checked</c:if>> 开发企业</label>
				</td>
			</tr>
			<tr>
				<th>角色名称:</th>
				<td>
					<input type="text" id="roleName" name="roleName" value="${role.roleName}" style="width:300px" class="input" />
				</td>
			</tr>
			<tr>
				<th>角色说明:</th>
				<td>
					<input type="text" id="remark" name="remark" value="${role.remark}" style="width:500px" class="input" />
				</td>
			</tr>
			<tr>
				<th valign="top">操作权限:</th>
				<td>
					<div id="cdDiv" style="padding-left:25px; line-height:24px;">
						${menuStr}
					</div>
				</td>
			</tr>
		</table>
		
		<div  style="margin-top: 10px; text-align: center;">
			<input type="submit" id="savBtn" value="保存" onclick="return checkForm()" class="a_btn_blue" />
			<input type="button" value="关闭" onclick="guanbi()" class="a_btn_blue" />
		</div>
	</div>
</div>
</form>
</body>
<p:message/>
</html>
