<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>用户管理 - 信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<script type="text/javascript">
		function showAddPage(){
			var url = '${ctx}/sys/user/toAdd';
			opendialog('UserDialog', '用户新增', 600, 430, url);
		}

		function showEditPage(id){
			var url = '${ctx}/sys/user/toEdit?id=' + id;
			opendialog('UserDialog', '用户新增', 600, 450, url);
		}

		function closePage(reFlag){
			close('UserDialog');
			if( reFlag ) {
				window.location.href = '${ctx}/sys/user/doList';
			}
		}

		function doDelInfo(id){
			submitflag = false;
			if(confirm("确认要删除该信息吗?")){
				submitflag = true;
				window.location.href = '${ctx}/sys/user/doDel?id='+id;
			}
		}
	</script>
</head>
<body>
<form id="form0" action="${ctx}/sys/user/doList" method="post" >
<div class="main">
	<div class="page_title">用户管理 - 信息列表： </div>
	<div class="select">
		<div class="hang">
			<span class="tj">姓名:<input type="text" id="xm" name="xm" value="${xm}" style="width:150px;" class="input_l" /></span>
			<span class="tj">
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
				<input type="button" value="新增" onclick="showAddPage()" class="a_btn_blue" />
			</span>
		</div>
	</div>

	<div class="content">
		<table style="width:100%" class="table_list">
			<thead>
				<tr>
					<th width="40">序号</th>
					<th>部门</th>
					<th>姓名</th>
					<th>登录账号</th>
					<th>联系电话</th>
					<th>角色</th>
					<th>注册时间</th>
					<th>登录时间</th>
					<th width="110">操作</th>
				</tr>
			</thead>
			<c:forEach varStatus="index" items="${pageInfo.list}" var="obj" >
				<tr>
					<td align="center">${index.index+1}</td>
					<td align="center">${obj.bmmc}</td>
					<td align="center">${obj.xm}</td>
					<td align="center">${obj.dlzh}</td>
					<td align="center">${obj.lxdh}</td>
					<td align="center">${obj.roles}</td>
					<td align="center"><span style="font-size: 12px;">${obj.zcsj}</span></td>
					<td align="center"><span style="font-size: 12px;">${obj.dlsj}</span></td>
					<td align="center">
						<a href="javascript:void(0);" onclick="showEditPage(${obj.id})" class="a_lan">[编辑]</a>
						<a id="delBtn" href="javascript:void(0);" onclick="doDelInfo('${obj.id}')" class="a_del">[删除]</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>

	<div class="page">
		<p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}" pageSize="${pageInfo.pageSize}" form="form0" styleClass="page" theme="text"/>
	</div>
	</div>
</form>
</body>
<p:message/>
</html>