<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
	</script>
</head>
<body>
<form id="form0" action="${ctx}/ywcx/qyxx/doList" method="post" >
<div class="main">
	<div class="page_title">信息列表： </div>
	<div class="select">
		<div class="hang">
			<span class="tj">企业名称:<input type="text" id="qymc" name="qymc" value="${qymc}" style="width:200px;" class="input_l"/></span>
			<span class="tj">
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
			</span>
		</div>
	</div>

	<div class="content">
		<table style="width:100%" class="table_list">
			<thead>
				<tr>
					<th width="40">序号</th>
					<th>企业名称</th>
					<th>信用代码</th>
					<th>联系人</th>
					<th>联系电话</th>
					<th width="50">操作</th>
				</tr>
			</thead>
			<c:forEach varStatus="index" items="${pageInfo.list}" var="obj" >
				<tr>
					<td align="center">${index.index+1}</td>
					<td align="left">${obj.qymc}</td>
					<td align="left">${obj.xydm}</td>
					<td align="center">${obj.lxr}</td>
					<td align="center">${obj.lxdh}</td>
					<td align="center">
						<a id="vieBtn" href="${ctx}/ywcx/qyxx/toView?id=${obj.id}" class="a_blue">查看</a>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>

	<div class="page">
		<p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}" pageSize="${pageInfo.pageSize}" url="${ctx}/ywcx/qyxx/doPage" styleClass="page" theme="text"/>
	</div>
	</div>
</form>
</body>
<p:message/>
</html>