<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>项目信息 - 详情</title>
	<meta content="UTF-8" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<link type="text/css" href="${ctxStatic}/js/bootstrap/css/bootstrap.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.viewer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/viewer/viewer.css" rel="stylesheet" media="all" />
	<script type="text/javascript" src="${ctxStatic}/js/viewer/viewer-1.10.4.js"></script>

	<script type="text/javascript">
		$(function(){
			showTab();
			setHeight();
		});

		function showTab(){
			$("#kbtabs li").bind("click", function () {
				var index = $(this).index();
				var divs = $("#kbtabs-body > div");
				$(this).parent().children("li").attr("class", "kbtab-nav");
				$(this).attr("class", "kbtab-nav-action");
				divs.hide();
				divs.eq(index).show();
			});
		}

		function setHeight() {
			var height = $(window).height();
			document.getElementById('tabDivXm').style.height = (height-120) + 'px';
			document.getElementById('tabDivTg').style.height = (height-120) + 'px';
		}

		var _viewer = null;
		function previewImg(lb, index){
			if( _viewer != null){
				_viewer.destroy();
			}

			var e = null;
			if( lb == 1 ) {
				e = document.getElementById('viewerXgt');
			} else if( lb == 2 ){
				e = document.getElementById('viewerHxt');
			} else if( lb == 3 ){
				e = document.getElementById('viewerGst');
			}
			_viewer = new Viewer(e, {
				url: 'data-original',  	//显示大图时，获取的属性
				title: false 			//是否在大图上显示名字
			});
			_viewer.view(index);
		}

	</script>
	<style type="text/css">
		.hxItDiv { display: inline-block; width: 120px; padding-left: 20px; }

		.divTp {display: inline-block; width: 135px; text-align: center; vertical-align: top; margin-bottom: 20px; margin-left:10px; position: relative;}
		.divTpIt {width: 127px; height: 147px; margin: 2px; border: 1px solid #E5CFBB; background-color: #E0E0E0;}
		.imgTp {cursor: hand; cursor: pointer; margin: 0; padding:0; width: 125px; height: auto;  max-height: 145px;}
		.shanchu {position:absolute; color: #FAFAFA; z-index: 99; width: 127px; height: 30px; line-height: 30px; bottom: 0px; background: rgba(0, 0, 0, 0.6); }
		.shanchu .wjmc{ float: left; display: inline-block; padding-left: 3px; width: 89px; height: 30px; line-height: 30px; text-align: left;
			white-space: nowrap; overflow: hidden; text-overflow: ellipsis; font-size: 12px; font-weight: 400;
		}
		.shanchu .del{ float: right; display: inline-block; padding-right: 5px; height: 30px; width: 30px; text-align: center; opacity: 1; }
		.shanchu img{ width: 23px; hegith: 23px; display: inline-block; vertical-align: middle; opacity: 1; cursor: hand; cursor: pointer; margin: 0; padding:0; }

		.div-tg-bt-l { padding-left: 10px; color: #666666;}
		.div-tg-bt { padding-left: 30px; color: #666666;}
		.zjDiv { display: inline-block; width: 350px; padding-left: 20px; }
	</style>
</head>
<body>
<input type="hidden" name="id" value="${xmxx.id}" />
<div class="main">
	<div class="page_title">项目管理 - 详细信息：
		<div style="padding-right: 30px;">
			<a id="bakBtn" href="${ctx}/ywcxQy/xmxx/doPage" class="a_btn_blue">返回列表</a>
		</div>
	</div>
	<div class="content">

		<div class="kbtabs">
			<ul id="kbtabs">
				<li class="kbtab-nav-action">项目信息</li>
				<li class="kbtab-nav">团购信息</li>
			</ul>
		</div>

		<div id="kbtabs-body" class="kbtabs-body">
			<div id="tabDivXm" style="display:block; height: 100px; overflow-y: auto;">

				<div class="title_f">项目基本信息：</div>
				<div class="content">
					<table style="width:100%" class="table_view">
						<col width="150"/>
						<col width="*"/>
						<tr>
							<th>开发企业:</th>
							<td>${xmxx.qymc}</td>
						</tr>
						<tr>
							<th>项目名称:</th>
							<td>${xmxx.xmmc}</td>
						</tr>
						<tr>
							<th>所属区县:</th>
							<td>${xmxx.qxmc}</td>
						</tr>
						<tr>
							<th>项目地址:</th>
							<td>${xmxx.jsdz}</td>
						</tr>
						<tr>
							<th>开盘时间:</th>
							<td>${xmxx.kpsj}</td>
						</tr>
						<tr>
							<th>计划交房日期:</th>
							<c:if test="${xmxx.sfxf != 1}"><td>${xmxx.jhjfrq}</td></c:if>
							<c:if test="${xmxx.sfxf == 1}"><td>现房</td></c:if>
						</tr>
						<tr>
							<th>施工状态:</th>
							<td>
								<c:if test="${xmxx.sgzt == 1}">正常施工</c:if>
								<c:if test="${xmxx.sgzt == 2}">停工停建</c:if>
								<c:if test="${xmxx.sgzt == 3}">建设完成</c:if>
							</td>
						</tr>
						<tr>
							<th>涉法涉诉:</th>
							<td>
								<c:if test="${xmxx.sfss == 0}">否</c:if>
								<c:if test="${xmxx.sfss == 1}">是</c:if>
							</td>
						</tr>
						<tr>
							<th>销售价格:</th>
							<td>${xmxx.xsjg} 元/平方米</td>
						</tr>
						<tr>
							<th>销售电话:</th>
							<td>${xmxx.xsdh}</td>
						</tr>
						<tr>
							<th>看房直通车联系电话:</th>
							<td>${xmxx.kfdh}</td>
						</tr>
						<tr>
							<th>操作人:</th>
							<td>${xmxx.czr} </td>
						</tr>
						<tr>
							<th>操作时间:</th>
							<td>${xmxx.czsj} </td>
						</tr>
						<tr>
							<th>状态:</th>
							<td>
								<c:if test="${xmxx.zt == 1}">暂存</c:if>
								<c:if test="${xmxx.zt == 2}">提交（待审核）</c:if>
								<c:if test="${xmxx.zt == 3}">审核不通过</c:if>
								<c:if test="${xmxx.zt == 5}">审核通过</c:if>
							</td>
						</tr>
						<tr>
							<th>审核人:</th>
							<td>${xmxx.shry} </td>
						</tr>
						<tr>
							<th>审核时间:</th>
							<td>${xmxx.shsj} </td>
						</tr>
						<tr>
							<th>审核意见:</th>
							<td>${xmxx.shyj} </td>
						</tr>
					</table>
				</div>
				<div class="title_l">证件信息：</div>
				<div id="xmyszDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
					<c:forEach varStatus="index" items="${zjList}" var="zj" >
						<div id="yszItem${zj.id}" class="zjDiv">
							<span>${zj.zsh}</span>
							<c:if test="${zj.lx==1}">
								<span>(预售许可证)<c:if test="${zj.xz==1}">[未审核]</c:if></span>
							</c:if>
							<c:if test="${zj.lx==2}">
								<span>(现售备案证明)<c:if test="${zj.xz==1}">[未审核]</c:if></span>
							</c:if>
						</div>
					</c:forEach>
				</div>

				<div class="title_l">在售户型信息：</div>
				<div id="xmhxDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
					<c:forEach varStatus="index" items="${hxList}" var="h" >
						<div id="hxItem${h.id}" class="hxItDiv">
							<span>${h.hx}</span>
						</div>
					</c:forEach>
				</div>

				<div class="title_l">项目效果图：  </div>
				<div id="xmXgtDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
					<c:forEach varStatus="index" items="${xgtList}" var="tp">
						<div id="xgtDiv${tp.id}" class="divTp">
							<div class="divTpIt">
								<div class="shanchu">
									<span class="wjmc">${tp.tpmc }</span>
									<span class="del"> </span>
								</div>
								<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(1, ${index.index})" title="查看图片" />
							</div>
						</div>
					</c:forEach>
				</div>
				<div id="viewerXgt" style="display: none;">
					<c:forEach items="${xgtList}" var="tp">
						<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
					</c:forEach>
				</div>

				<div class="title_l">项目户型图： </div>
				<div id="xmHxtDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
					<c:forEach varStatus="index" items="${hxtList}" var="tp">
						<div id="hxtDiv${tp.id}" class="divTp">
							<div class="divTpIt">
								<div class="shanchu">
									<span class="wjmc">${tp.tpmc }</span>
									<span class="del"> </span>
								</div>
								<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(2, ${index.index})" title="查看图片" />
							</div>
						</div>
					</c:forEach>
				</div>
				<div id="viewerHxt" style="display: none;">
					<c:forEach items="${hxtList}" var="tp">
						<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
					</c:forEach>
				</div>

				<div class="title_l">价格公示栏： </div>
				<div id="xmGstDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
					<c:forEach varStatus="index" items="${gstList}" var="tp">
						<div id="gstDiv${tp.id}" class="divTp">
							<div class="divTpIt">
								<div class="shanchu">
									<span class="wjmc">${tp.tpmc }</span>
									<span class="del"> </span>
								</div>
								<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(3, ${index.index})" title="查看图片" />
							</div>
						</div>
					</c:forEach>
				</div>
				<div id="viewerGst" style="display: none;">
					<c:forEach items="${gstList}" var="tp">
						<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
					</c:forEach>
				</div>

				<br/><br/>
			</div>

			<div id="tabDivTg" style="display:none; overflow-y: auto;">
				<div class="title_f">项目参与团购活动： </div>
				<div class="content">
					<c:forEach varStatus="index" items="${tgList}" var="obj">
						<div style="line-height: 40px; text-align: left;">
							<span style="font-weight: bold;">${index.index+1}. ${obj.tgmc}</span>
							<span style="padding-left: 10px; color: #666666;">
								（
								<c:if test="${obj.tgzt==1}">未发布</c:if>
								<c:if test="${obj.tgzt==2}">进行中</c:if>
								<c:if test="${obj.tgzt==4}">已结束</c:if>
								<c:if test="${obj.tgzt==5}">已关闭</c:if>
								<c:if test="${obj.tgzt==6}">已撤销</c:if>
								）
							</span>
						</div>
						<table style="width:100%" class="table_view">
							<col width="110"/>
							<col width="150"/>
							<col width="110"/>
							<col width="*"/>
							<tr>
								<th>活动期限:</th>
								<td colspan="3">${obj.ksrq} 至 ${obj.jzrq}</td>
							</tr>
							<tr>
								<th>发布时间:</th>
								<td>${obj.fbsj}</td>
								<th>结束时间:</th>
								<td>${obj.jssj}</td>
							</tr>
							<tr>
								<th valign="top">审核记录:</th>
								<td colspan="3">
									<span class="div-tg-bt-l">审核人：</span>${obj.shry}
									<span class="div-tg-bt">审核时间：</span>${obj.shsj} <br/>
									<span class="div-tg-bt-l">审核结果：</span>
										<c:if test="${obj.shzt==1}">待审核</c:if>
										<c:if test="${obj.shzt==2}">审核通过</c:if>
										<c:if test="${obj.shzt==-1}">审核驳回</c:if>
										<c:if test="${obj.shzt==-2}">撤销</c:if>
									<span class="div-tg-bt">审核意见：</span>${obj.shyj}
								</td>
							</tr>
							<tr>
								<th>活动统计:</th>
								<td colspan="3">
									<span class="div-tg-bt-l">参与项目数：</span>${obj.xms} 个
									<span class="div-tg-bt">本项目浏览数：</span>${obj.lls} 人次
									<span class="div-tg-bt">报名数：</span>${obj.bmrs} 人
									<span class="div-tg-bt">成交数：</span>${obj.cjrs} 人
								</td>
							</tr>
						</table>
					</c:forEach>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
<p:message/>
</html>
