<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息列表</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		var chk_value = [];
		var chk_length = 0;
		var chk_index = 0;

		function cjPl(){
			chk_value = [];
			$('input[name="shrid"]:checked').each(function(){
				chk_value.push($(this).val());
			});
			chk_length = chk_value.length;
			chk_index = 0;

			if( chk_length == 0 ){
				layer.msg('没有选择人员');
				return false;
			}

			ajaxLoading();
			doPlCj();
		}

		function doPlCj(){
			var ryid = chk_value[chk_index];
			debugger
			$.ajax({
				url:'${ctx}/tgry/doPlCj',
				data:{"ryid": ryid},
				type:'post',
				dataType:'json',
				success:function(r){
					$('#xzSpan'+ryid).html('');
					$('#czSpan'+ryid).html('已确认成交');

					chk_index ++;
					if( chk_index >= chk_length ){
						layer.msg('确认成交完成');
						setTimeout("backToList()", 1000 );
					} else {
						setTimeout("doPlCj()", 400 );
					}
				}
			});
		}

		function backToList(){
			window.location.href = '${ctx}/tgry/doList';
		}
	</script>
	<style>
		.qxmc { font-size: 12px; color: #666666; }
		.bmsj { font-size: 12px; }
	</style>
</head>
<body>
<form id="form0" action="${ctx}/tgry/doList" method="post" >
<div class="main">
	<div class="page_title">团购报名人员 - 信息审核： </div>
	<div class="select">
		<div class="hang">
			<span class="tj">团购名称:<input type="text" id="tgmc" name="tgmc" value="${tgmc}" style="width:120px;" class="input_l"/></span>
			<span class="tj">项目名称:<input type="text" id="xmmc" name="xmmc" value="${xmmc}" style="width:120px;" class="input_l"/></span>
			<span class="tj">
				<input type="submit" id="selBtn" value="查询" class="a_btn_blue" />
			</span>
			<span class="tj">
				<a href="javascript:void(0);" onclick="cjPl()" class="a_lan">[批量确认成交]</a>
			</span>
		</div>
	</div>

	<div class="content">
		<table style="width:100%" class="table_list">
			<thead>
				<tr>
					<th width="50">选择</th>
					<th width="50">序号</th>
					<th>团购名称</th>
					<th>项目名称</th>
					<th>姓名</th>
					<th>手机号码</th>
					<th>类别</th>
					<th>证件号码</th>
					<th>报名时间</th>
					<th width="80">操作</th>
				</tr>
			</thead>
			<c:forEach varStatus="index" items="${pageInfo.list}" var="obj" >
				<tr>
					<td align="center">
						<sapn id="xzSpan${obj.id}">
							<input type="checkbox" name="shrid" value="${obj.id}" />
						</sapn>
					</td>
					<td align="center">${index.index+1}</td>
					<td align="left">${obj.tgmc}</td>
					<td align="left">
							${obj.xmmc}
						<span class="qxmc">(${obj.qxmc})</span>
					</td>
					<td align="center">${obj.xm}</td>
					<td align="center">${obj.sjhm}</td>
					<td align="center">${obj.rylb}</td>
					<td align="center">${obj.zjhm}</td>
					<td align="center"><span class="bmsj">${obj.bmsj}</span></td>
					<td align="center">
						<span id="czSpan${obj.id}">
							<a id="edtBtn" href="${ctx}/tgry/doCj?id=${obj.id}" class="a_blue">[确认成交]</a>
						</span>
					</td>
				</tr>
			</c:forEach>
		</table>
	</div>

	<div class="page">
		<p:pages cpage="${pageInfo.pageNum}" totalPage="${pageInfo.pages}" totalRow="${pageInfo.total}" pageSize="${pageInfo.pageSize}"
				 url="${ctx}/tgry/doPage" styleClass="page" theme="text"/>
	</div>
	</div>
</form>
</body>
<p:message/>
</html>