<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>团购项目审核</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<link type="text/css" href="${ctxStatic}/js/bootstrap/css/bootstrap.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.viewer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/viewer/viewer.css" rel="stylesheet" media="all" />
	<script type="text/javascript" src="${ctxStatic}/js/viewer/viewer-1.10.4.js"></script>


	<script type="text/javascript">
		function showXmxxs(){
			var tgid = $('#tgid').val();
			opendialog('TgxmDialog', '团购项目信息', 660, 480, '${ctx}/tgxm/sh/toXms?tgid='+tgid);
		}

		function showTgxxs(){
			var xmid = $('#xmid').val();
			opendialog('TgxmDialog', '项目团购信息', 660, 480, '${ctx}/tgxm/sh/toTgs?xmid='+xmid);
		}

		function closeDialog(){
			close('TgxmDialog');
		}

		function checkForm(){
			submitflag = false;

			var shzt = $("input[name='shzt']:checked").val();
			if( shzt == null ) {
				layer.msg('请选择审核结果');
				return false;
			}
			var shyj = $('#shyj').val();
			if( shzt != 2 ) {
				if( shyj == '' ) {
					layer.msg('请填写审核意见');
					return false;
				}
			}
			submitflag = true;
			return true;
		}

		var _viewer = null;
		function previewImg(lb, index){
			if( _viewer != null){
				_viewer.destroy();
			}

			var e = null;
			if( lb == 1 ) {
				e = document.getElementById('viewerXgt');
			} else if( lb == 2 ){
				e = document.getElementById('viewerHxt');
			} else if( lb == 3 ){
				e = document.getElementById('viewerGst');
			}
			_viewer = new Viewer(e, {
				url: 'data-original',  	//显示大图时，获取的属性
				title: false 			//是否在大图上显示名字
			});
			_viewer.view(index);
		}

	</script>
	<style type="text/css">
		.hxItDiv { display: inline-block; width: 120px; padding-left: 20px; }
		.divTp {display: inline-block; width: 135px; text-align: center; vertical-align: top; margin-bottom: 20px; margin-left:10px; position: relative;}
		.imgTp {cursor: hand; cursor: pointer; margin: 0; padding:0; width: 125px; height: auto;  max-height: 145px;}
		.zjDiv {
			display: inline-block;
			width: 350px;
			padding-left: 20px;
		}
		.yh-div { display: inline-block; text-align: right; width: 195px; color: #666666; }
	</style>
</head>
<body>
<form id="form0" action="${ctx}/tgxm/sh/doSh" method="post" >
	<input type="hidden" id="id" name="id" value="${tgxm.id}" />
	<input type="hidden" id="tgid" name="tgid" value="${tgxm.tgid}" />
	<input type="hidden" id="xmid" name="xmid" value="${tgxm.xmid}" />

	<div class="main">
		<div class="page_title">团购活动项目审核：
			<div><a id="baklBtn" href="${ctx}/tgxm/sh/doPage" class="a_btn_blue">返回列表</a></div>
		</div>

		<div class="content">
			<div style="line-height: 40px; text-align: left;">
				<span style="font-size: 16px; font-weight: bold;">${tgxx.tgmc}</span>
				<span style="padding-left: 30px;"> 活动期限：${tgxx.ksrq} 至 ${tgxx.jzrq}</span>
				<span style="padding-left: 30px;"> 已参与楼盘：${tgxx.xms} 个
					<a href="javascript:void(0);" onclick="showXmxxs()" class="a_lan">[查看楼盘]</a>
				</span>
			</div>

			<div style="line-height: 40px; text-align: left;">
				<span style="color: #666666;">审核项目：</span>
				<span style="font-weight: bold;">${xmxx.xmmc}</span>
				<span style="padding-left: 30px;"> 已参与团购活动：${xmxx.tgs} 个
					<a href="javascript:void(0);" onclick="showTgxxs()" class="a_lan">[查看活动]</a>
				</span>
			</div>
			<table style="width:100%;margin-top: 0px;" class="table_view">
				<col width="150"/>
				<col width="160"/>
				<col width="100"/>
				<col width="*"/>
				<tr>
					<th>开发企业:</th>
					<td colspan="3">${xmxx.qymc}</td>
				</tr>
				<tr>
					<th>项目名称:</th>
					<td colspan="3">${xmxx.xmmc}</td>
				</tr>
				<tr>
					<th>区县名称:</th>
					<td colspan="3">${xmxx.qxmc}</td>
				</tr>
				<tr>
					<th>项目地址:</th>
					<td colspan="3">(${xmxx.qxmc}) ${xmxx.jsdz}</td>
				</tr>
				<tr>
					<th>开盘时间:</th>
					<td >${xmxx.kpsj}</td>
					<th>计划交房日期:</th>
					<c:if test="${xmxx.sfxf != 1}"><td>${xmxx.jhjfrq}</td></c:if>
					<c:if test="${xmxx.sfxf == 1}"><td>现房</td></c:if>
				</tr>
				<tr>
					<th>施工状态:</th>
					<td>
						<c:if test="${xmxx.sgzt == 1}">正常施工</c:if>
						<c:if test="${xmxx.sgzt == 2}">停工停建</c:if>
						<c:if test="${xmxx.sgzt == 3}">建设完成</c:if>
					</td>
					<th>涉法涉诉:</th>
					<td><c:if test="${xmxx.sfss == 0}">否</c:if>
						<c:if test="${xmxx.sfss == 1}">是</c:if>
					</td>
				</tr>
				<tr>
					<th>销售价格:</th>
					<td>${xmxx.xsjg} 元/平方米</td>
					<th>销售电话:</th>
					<td>${xmxx.xsdh}</td>
				</tr>
				<tr>
					<th>看房直通车联系电话:</th>
					<td colspan="3">${xmxx.kfdh}</td>
				</tr>
				<tr>
					<th>在售户型信息:</th>
					<td colspan="3">
						<c:forEach varStatus="index" items="${hxList}" var="h" >
							<span style="padding-left: 10px;">${h.hx}</span>
						</c:forEach>
					</td>
				</tr>
			</table>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">证件信息：</div>
			<div id="xmyszDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${zjList}" var="zj" >
					<div id="yszItem${zj.id}" class="zjDiv">
						<span>${zj.zsh}</span>
						<c:if test="${zj.lx==1}">
							<span style="font-size: 12px; color: #999;">(预售)</span>
						</c:if>
						<c:if test="${zj.lx==2}">
							<span style="font-size: 12px; color: #999;">(现售)</span>
						</c:if>
						<c:if test="${zj.xz==1}"><span style="font-size: 12px; color: #ce8483">[待审]</span></c:if>
					</div>
				</c:forEach>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">项目效果图：  </div>
			<div id="xmXgtDiv" class="content" style="margin:0px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${xgtList}" var="tp">
					<div id="xgtDiv${tp.id}" class="divTp">
						<div class="divTpIt">
							<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(1, ${index.index})" title="查看图片" />
						</div>
					</div>
				</c:forEach>
			</div>
			<div id="viewerXgt" style="display: none;">
				<c:forEach items="${xgtList}" var="tp">
					<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
				</c:forEach>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">项目户型图： </div>
			<div id="xmHxtDiv" class="content" style="margin:0px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${hxtList}" var="tp">
					<div id="hxtDiv${tp.id}" class="divTp">
						<div class="divTpIt">
							<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(2, ${index.index})" title="查看图片" />
						</div>
					</div>
				</c:forEach>
			</div>
			<div id="viewerHxt" style="display: none;">
				<c:forEach items="${hxtList}" var="tp">
					<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
				</c:forEach>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">价格公示栏： </div>
			<div id="xmGstDiv" class="content" style="margin:0px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${gstList}" var="tp">
					<div id="gstDiv${tp.id}" class="divTp">
						<div class="divTpIt">
							<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(3, ${index.index})" title="查看图片" />
						</div>
					</div>
				</c:forEach>
			</div>
			<div id="viewerGst" style="display: none;">
				<c:forEach items="${gstList}" var="tp">
					<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
				</c:forEach>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">优惠活动：</div>
			<div class="content" style="margin-left:0px; padding-bottom: 5px; min-height: 50px;border: 1px solid #e0e0e0;">
				<div style="margin-left: 50px; border: 1px solid #E0E0E0;">
					<div><span class="yh-div">3-5人团（含3、5人）优惠：</span>${tgxm.yh3}</div>
					<div><span class="yh-div">6-10人团（含10人）优惠：</span>${tgxm.yh5}</div>
					<div><span class="yh-div">10人以上团优惠：</span>${tgxm.yh10}</div>
					<div><span class="yh-div">其他优惠：</span>${tgxm.yhqt}</div>
				</div>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">信息审核： </div>
			<table style="width:100%" class="table_view">
				<col width="110"/>
				<col width="*"/>
				<tr>
					<th>审核结果:</th>
					<td align="left">
						<label style="vertical-align: middle; font-weight: normal;"><input type="radio" name="shzt" value="2"> 审核通过</label>
						<label style="vertical-align: middle; font-weight: normal; padding-left: 10px;"><input type="radio" name="shzt" value="-1"> 审核驳回</label>
						<span class="shuoming">
							(审核通过后，该项目参与团购活动；审核驳回后，项目无法参与团购且不能再次报名)
						</span>
					</td>
				</tr>
				<tr>
					<th>审核意见:</th>
					<td align="left">
						<textarea id="shyj" name="shyj" style="width:600px; height:80px;" class="textarea">${tgxm.shyj}</textarea>
					</td>
				</tr>
			</table>

			<div style="margin-top: 10px; text-align: left; padding-left: 300px;">
				<input type="submit" id="savBtn" value="审核" onclick="return checkForm()" class="a_btn_blue" />
				<a id="bakBtn" href="${ctx}/tgxm/sh/doPage" class="a_btn_blue">返回</a>
			</div>
		</div>
	</div>
</form>
<br/><br/>
</body>
<p:message/>
</html>