<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>团购信息-编辑</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/bootstrap/css/bootstrap.min.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.viewer.min.js"></script>

	<script type="text/javascript" src="${ctxStatic}/js/DatePicker/WdatePicker.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/coob/FileUpload.js"></script>

	<script type="text/javascript">
		//上传封面图片
		var upload = new FileUpload({
			fileId: 'uploadFile',
			divId: 'uploadDiv',
			url: "${ctx}/file/upload",
			fileType: "png, jpg, jpeg",
			auto: true,
			callback: uploadOk
		});

		function selectFile(){	//选择
			$('#uploadDiv').attr("style", "display:inline-block;");
			upload.select();
		}

		function uploadOk(str){	//回调
			var r = JSON.parse(str);
			if( r.code == 0 ){
				var tpurl = r.furl;

				$('#tpbs').val(1);
				$('#tpurl').val(tpurl);

				if( tpurl != null && tpurl != '' ){
					$('#imgUp').prop("src", "${ctx}/file/img?u="+tpurl);
					$('#imgUp').removeAttr("hidden");
					$('#uploadDiv').attr("style", "display:none;");
				}
			} else {
				layer.msg('文件上传失败');
			}
		}

		function preview(){
			var tpurl = $('#tpurl').val();
			document.getElementById('fjImg').src = '${ctx}/file/img?u='+tpurl;
			$('.viewer').bootstrapViewer();
			$('.viewer').click();
		}

		function checkForm(){
			submitflag = false;
			var tgmc = document.getElementById('tgmc').value;
			if( tgmc == '' ){
				layer.msg('请填团购活动名称');
				return false;
			}
			submitflag = true;
			return true;
		}

		function guanbi(){
			parent.closePage(false);
		}
	</script>
	
</head>
<body>
<form id="form0" action="${ctx}/tgxx/gl/doEdit" method="post" >
<input type="hidden" id="tgxxId" name="id" value="${tgxx.id}" />

<div class="main">
	<div class="page_title">团购管理 - 编辑信息： </div>
	<div class="content">
		<table style="width:100%;" class="table_frame">
			<col width="120"/>
			<col width="*"/>
			<tr>
				<th>团购活动名称:</th>
				<td>
					<input type="text" id="tgmc" name="tgmc" value="${tgxx.tgmc}" style="width:280px" autocomplete="off" class="input" />
				</td>
			</tr>
			<tr>
				<th>组织单位:</th>
				<td>
					<input type="text" id="zzbm" name="zzbm" value="${tgxx.zzbm}" style="width:280px" autocomplete="off" class="input" />
				</td>
			</tr>
			<tr>
				<th>活动期限:</th>
				<td>
					<input type="text" id="ksrq" name="ksrq" value="${tgxx.ksrq}" onclick="WdatePicker({dateFmt:'yyyy-MM-dd'})" readonly="readonly" class="Wdate_l" />
					至
					<input type="text" id="jzrq" name="jzrq" value="${tgxx.jzrq}" onclick="WdatePicker({dateFmt:'yyyy-MM-dd'})" readonly="readonly" class="Wdate_l" />
				</td>
			</tr>
			<tr>
				<th valign="top">参与人员类别:</th>
				<td>
					<input type="text" id="ryyq" name="ryyq" value="${tgxx.ryyq}" style="width:400px;" autocomplete="off" class="input" />
					<br/><span class="shuoming">(如果特定人员参与团购，可以填写人员类别，用逗号分隔，如：军人团购可以填写“现役军人,退伍军人”)</span>
				</td>
			</tr>
			<tr>
				<th valign="top">填写证件类型:</th>
				<td>
					<input type="text" id="bmyq" name="bmyq" value="${tgxx.bmyq}" style="width:400px;" autocomplete="off" class="input" />
					<br/><span class="shuoming">(如果特定人员参与团购，需要填写证件号时，可以设置证件名称，如：军人团购填写“军人证件号”)</span>
				</td>
			</tr>
			<tr>
				<th valign="top">备注信息:</th>
				<td>
					<textarea id="bz" name="bz" style="width:600px; height: 100px;" class="textarea">${tgxx.bz}</textarea>
				</td>
			</tr>
			<tr>
				<th valign="top">封面图片:</th>
				<td>
					<input type="hidden" id="tpbs" name="tpbs" value="${tgxx.tpbs}">
					<input type="hidden" id="tpurl" name="tpurl" value="${tgxx.tpurl}">

					<div class="fjDiv">
						<div style="padding-top: 3px;">
							<input type="file" id="uploadFile" name="uploadFile" onchange="selectFile()" accept="image/x-png, image/jpg, image/jpeg" style="display:none;" />
							<input  type="button" value="[上传图片]" onclick="uploadFile.click()" class="a_lan" style="border: none;background-color: white"/>
							<div id="uploadDiv" style="display:inline-block; padding-left:5px; color: #9A9A9A;"></div>
						</div>
					</div>
					<div style="width: 300px; margin: 20px 0px;">
						<c:if test="${tgxx.tpbs>0}">
							<img id="imgUp" src="${ctx}/file/img?u=${tgxx.tpurl}" onclick="preview(1)" style="width:300px; height: auto;"/>
						</c:if>
						<c:if test="${tgxx.tpbs==0}">
							<img id="imgUp" onclick="preview(1)" style="width:300px; height: auto;"/>
						</c:if>
					</div>
				</td>
			</tr>
		</table>

		<div style="margin-top: 10px; text-align: left; padding-left: 280px;">
			<input type="submit" id="savBtn" value="保存" onclick="return checkForm()" class="a_btn_blue" />
			<a id="bckBtn" href="${ctx}/tgxx/gl/toView?id=${tgxx.id}" class="a_btn_blue">返回</a>
		</div>
	</div>
</div>
</form>
<br/><br/>
</body>
<p:message/>
</html>