<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
    <title>团购项目信息-列表</title>
    <meta charset="UTF-8">
    <link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
    <script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

    <script>
        function closePage(){
            parent.closeTgryPage();
        }
    </script>
</head>
<body>
<form id="form0" action="${ctx}/tgxx/gl/doList" method="Post">
<div class="main">
    <div class="page_title">
        ${tgxm.xmmc} 报名人员查看：
        <div>
            <a href="javascript:void(0);" onclick="closePage()" class="a_lan">[关闭]</a>
        </div>
    </div>


    <div class="content">
        <table style="width:100%;" class="table_list">
            <thead>
            <tr>
                <th width="40">序号</th>
                <th>姓名</th>
                <th>手机号码</th>
                <th>类别</th>
                <th>证件号</th>
                <th>报名时间</th>
                <th>审核结果</th>
                <th>是否成交</th>
            </tr>
            </thead>
            <c:forEach varStatus="index" items="${ryList}" var="obj">
                <tr>
                    <td align="center">${index.index+1}</td>
                    <td align="center">${obj.xm}</td>
                    <td align="center">${obj.sjhm}</td>
                    <td align="center">${obj.rylb}</td>
                    <td align="center">${obj.zjhm}</td>
                    <td align="center">${obj.bmrq}</td>
                    <td align="center">
                        <c:if test="${obj.shzt==1}">待审核</c:if>
                        <c:if test="${obj.shzt==2}">审核通过</c:if>
                        <c:if test="${obj.shzt==3}">审核驳回</c:if>
                    </td>
                    <td align="center">
                        <c:if test="${obj.cjzt==1}"></c:if>
                        <c:if test="${obj.cjzt==2}">成交</c:if>
                    </td>
                </tr>
            </c:forEach>
        </table>
    </div>

</div>
</form>
<br/><br/>
</body>
<p:message/>
</html>