<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>团购信息 - 详情</title>
	<meta content="UTF-8" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<script type="text/javascript">
		function reloadMee(){
			window.location.reload(true);
		}
		$(function(){
			showTab();
			setHeight();
		});

		function showTab(){
			$("#kbtabs li").bind("click", function () {
				var index = $(this).index();
				var divs = $("#kbtabs-body > div");
				$(this).parent().children("li").attr("class", "kbtab-nav");
				$(this).attr("class", "kbtab-nav-action");
				divs.hide();
				divs.eq(index).show();
			});
		}

		function setHeight() {
			var height = $(window).height();
			document.getElementById('tabDivTg').style.height = (height-165) + 'px';
			document.getElementById('tabDivLp').style.height = (height-165) + 'px';
			document.getElementById('xmListFrame').style.height = (height-210) + 'px';

			$('#tabDivLp').hide();
		}

		//发布优惠活动
		function fabuTgxx(){
			var tgid = $('#tgid').val();
			if(confirm("确认要发布该团购活动吗?")){
				ajaxLoading();
				$.ajax({
					url:'${ctx}/tgxx/gl/fabu',
					data:{'id':tgid},
					type:'post',
					dataType:'json',
					success:function(r){
						layer.msg(r.msg);
						ajaxLoadEnd();
						if( r.code == 0 ) {
							$("a").hide();
							$('#bakBtn').show();
						}
					}
				});
			}
		}

		function jieshuTgxx(zt){
			var tgid = $('#tgid').val();
			var ts = "确认要结束该团购活动吗?";
			if( zt == 5 ) ts = "确认要关闭该团购活动吗?";
			if(confirm(ts)){
				ajaxLoading();
				$.ajax({
					url:'${ctx}/tgxx/gl/jieshu',
					data:{'id':tgid, 'zt':zt},
					type:'post',
					dataType:'json',
					success:function(r){
						layer.msg(r.msg);
						ajaxLoadEnd();
						if( r.code == 0 ) {
							$("a").hide();
							$('#bakBtn').show();
						}
					}
				});
			}
		}

		//显示人员
		function showTgryPage(txid){
			opendialog('TgxxDialog', '人员查看', 0, 0, '${ctx}/tgxx/gl/ryList?txid='+txid);
		}
		function closeTgryPage(){
			close('TgxxDialog');
		}
	</script>
	<style type="text/css">
		.bzDivv {padding: 0px 8px; width: 400px; min-height: 50px; border: 1px solid #E2E2E2;}
		.dwSpann {font-size: 12px;}
	</style>
</head>
<body>
<input type="hidden" id="tgid" value="${tgxx.id}" />

<div class="main">
	<div class="page_title">团购管理 - 详细信息：</div>

	<div style="padding-left: 30px; line-height: 45px; text-align: left;">
		<span style="font-weight: bold; font-size: 16px;">${tgxx.tgmc}</span>
		<span  style="padding-left: 30px;">
			团购活动进度：
			<c:if test="${tgxx.zt==1}">待发布</c:if>
			<c:if test="${tgxx.zt==2}">团购报名中</c:if>
			<c:if test="${tgxx.zt==4}">已结束</c:if>
			<c:if test="${tgxx.zt==5}">已关闭</c:if>
			<c:if test="${tgxx.zt==6}">已撤销</c:if>
		</span>

		<c:if test="${tgxx.zt==1}">
			<span id="fabuSpan" style="padding-left: 10px;">
				<a href="javascript:void(0);" onclick="fabuTgxx()" class="a_lan">[发布活动]</a>
				<span class="shuoming">(活动发布后，可以在微信端展示，并开始报名)</span>
			</span>
		</c:if>
		<c:if test="${tgxx.zt==2}">
			<span style="padding-left: 30px;">
				<a href="javascript:void(0);" onclick="jieshuTgxx(4)" class="a_lan">[结束报名]</a>
				<span class="shuoming">(活动结束后，结束团购报名，企业仍可以确认成交)</span>
			</c:if>
		</span>
		<c:if test="${tgxx.zt==4}">
			<span style="padding-left: 30px;">
				<a href="javascript:void(0);" onclick="jieshuTgxx(5)" class="a_lan">[关闭活动]</a>
			<span class="shuoming">(关闭活动后，企业无法确认成交，该活动完全关闭)</span>
		</c:if>
		</span>
		<div style="float: right; padding-right: 30px;">
			<c:if test="${tgxx.zt==1}">
				<a href="javascript:void(0);" onclick="jieshuTgxx(6)" class="a_del">[撤销该活动]</a>
			</c:if>
				&nbsp;&nbsp;
			<a id="bakBtn" href="${ctx}/tgxx/gl/doPage" class="a_btn_blue">返回列表</a>
		</div>
	</div>

	<div class="content">

		<div class="kbtabs">
			<ul id="kbtabs">
				<li class="kbtab-nav-action">团购信息</li>
				<li class="kbtab-nav">楼盘信息</li>
			</ul>
		</div>

		<div id="kbtabs-body" class="kbtabs-body">
			<div id="tabDivTg" style="display:block; min-width: 1000px; height: 0px; overflow-y: auto;" class="content">
				<div style="display: inline-block; vertical-align: top; width: 300px; margin-right: 20px; ">
					<c:if test="${tgxx.tpbs==1}">
						<img src="${ctx}/file/img?u=${tgxx.tpurl}" style="width: 300px; height: auto;"/>
					</c:if>
				</div>
				<div style="display: inline-block; vertical-align: top; width: 550px;">

					<div style="line-height: 40px; font-weight: bold;">
						团购基本信息：
						<c:if test="${tgxx.zt<4}">
							<a id="edtBtn" href="${ctx}/tgxx/gl/toEdit?id=${tgxx.id}" class="a_lan">[修改信息]</a>
						</c:if>
					</div>

					<table class="table_view">
						<col width="120"/>
						<col width="420"/>
						<tr>
							<th>团购名称:</th>
							<td>${tgxx.tgmc}</td>
						</tr>
						<tr>
							<th>组织单位:</th>
							<td>${tgxx.zzbm}</td>
						</tr>
						<tr>
							<th>活动期限:</th>
							<td>${tgxx.ksrq} 至 ${tgxx.jzrq}</td>
						</tr>
						<tr>
							<th>参与人员类别:</th>
							<td>${tgxx.ryyq}</td>
						</tr>
						<tr>
							<th>填写证件类型:</th>
							<td>${tgxx.bmyq}</td>
						</tr>
						<tr>
							<th valign="top">备注信息:</th>
							<td><div class="bzDivv">${tgxx.bz}</div></td>
						</tr>
						<tr>
							<th>参数项目数:</th>
							<td>${tgxx.xms} <span class="dwSpann">个项目</span></td>
						</tr>
						<tr>
							<th>活动浏览数:</th>
							<td>${tgxx.lls} <span class="dwSpann">人次</span></td>
						</tr>
						<tr>
							<th>报名人数:</th>
							<td>${tgxx.bmrs} <span class="dwSpann">人次</span></td>
						</tr>
						<tr>
							<th>成交数:</th>
							<td>${tgxx.cjrs} <span class="dwSpann">人次</span></td>
						</tr>
						<tr>
							<th>提交时间:</th>
							<td>${tgxx.tjsj}</td>
						</tr>
						<tr>
							<th>发布时间:</th>
							<td>${tgxx.fbsj}</td>
						</tr>
					</table>
				</div>
				<br/>
				<br/>
			</div>

			<div id="tabDivLp" style="display:none; overflow-y: auto;" class="content">
				<iframe id="xmListFrame" src="${ctx}/tgxx/gl/xmList?tgid=${tgxx.id}" width="100%" frameborder="0" noresize="noresize" scrolling="auto"></iframe>
			</div>
		</div>
	</div>
	<br/>
</div>
</body>
<p:message/>
</html>
