<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE html>
<html>
<head>
	<title>团购信息 - 详情</title>
	<meta content="UTF-8" />
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<script type="text/javascript">
		// 保存优惠活动
		function saveYhhd(id){
			var yh3 = $('#yh3_'+id).val();
			var yh5 = $('#yh5_'+id).val();
			var yh10 = $('#yh10_'+id).val();
			var yhqt = $('#yhqt_'+id).val();

			if(yh3 == ''){
				layer.msg('请填写(3-5人团)优惠');
				return false;
			}
			if(yh5 == ''){
				layer.msg('请填写(6-10人团)优惠');
				return false;
			}
			if(yh10 == ''){
				layer.msg('请填写(10人以上团)优惠');
				return false;
			}

			ajaxLoading();
			$.ajax({
				type: "POST",
				dataType: "json",
				url: "${ctx}/tgyw/qy/updateXmxz",
				data: {'id':id, 'yh3':yh3, 'yh5':yh5, 'yh10':yh10,"yhqt":yhqt},
				success: function (r) {
					layer.msg(r.msg);
					ajaxLoadEnd();
				}
			});
		}

		//显示人员
		function showTgryPage(txid){
			parent.showTgryPage(txid);
		}

		function exptXmList(){
			var tgid = $('#tgid').val();
			var url = '${ctx}/tgxx/gl/exportExcel?tgid=' + tgid;
			window.open(url);
		}

	</script>
	<style type="text/css">
		.bzDivv {padding: 0px 8px; width: 400px; min-height: 50px; border: 1px solid #E2E2E2;}
		.dwSpann {font-size: 12px;}

		.xm-bt { color: #666666; }
		.xm-bt2 { display: inline-block; width: 150px;}
		.xm-jg { display: inline-block; width: 150px; color: #ab7100; font-weight: bold; }
		.xm-jg dw {color: #666666; font-weight: normal; font-size: 12px; }

		.yh-div { display: inline-block; text-align: right; width: 180px; color: #787878; }

		input::placeholder { color: #909090;  }
	</style>
</head>
<body>
<form id="form0" action="${ctx}/tgxx/gl/xmList" method="Post">
<input type="hidden" id="tgid" name="tgid" value="${tgid}" />

<div class="main">
	<div class="content">
		<div>
			<select id="qx" name="qx" class="input_l">
				<option value="">- 全部区县 -</option>
				<c:forEach items="${qyList}" var="qy">
					<option value="${qy.id}" <c:if test="${qy.id==qx}">selected</c:if>>${qy.qxmc}</option>
				</c:forEach>
			</select>
			<input type="text" id="xmmc" name="xmmc" value="${xmmc}" placeholder="项目名称" style="width: 120px;" class="input_l" />
			<input type="submit" id="selBtn" value="查询" class="a_btn_blue"/>
			&nbsp;&nbsp;
			<a href="javascript:void(0);"  onclick="exptXmList()" class="a_lan">[导出楼盘列表]</a>
		</div>

		<c:forEach varStatus="index" items="${xmList}" var="tgxm" >
			<div style="line-height: 35px; margin: 10px 0px; border-top: 1px solid #E0E0E0;">
				<div style="padding-top: 5px;">
					<span style="font-weight: bold; padding-right: 10px;">${index.index+1}. ${tgxm.xmmc}</span>
					<c:if test="${tgxm.shzt==1}"><span class="tuz bc1">待审核</span></c:if>
					<c:if test="${tgxm.shzt==2}"><span class="tuz bc2">审核通过</span></c:if>
					<c:if test="${tgxm.shzt==-1}"><span class="tuz bc3">审核驳回</span></c:if>
					<c:if test="${tgxm.shzt==-2}"><span class="tuz bc1">撤销</span></c:if>
					<c:if test="${tgxm.shzt!=-2 && tgxx.zt < 2}">
						<a id="cxTgxmBtn" href="${ctx}/tgxm/sh/toCxsh?id=${tgxm.id}" class="a_red" style="margin-left: 10px;">[撤销楼盘]</a>
					</c:if>
				</div>
				<div style="padding-left: 30px;">
					<span class="xm-bt">开发企业：</span> ${tgxm.qymc}
				</div>
				<div style="padding-left: 30px;">
					<span class="xm-bt">项目名称：</span> ${tgxm.xmmc}
				</div>
				<div style="padding-left: 30px;">
					<span class="xm-bt">区县名称：</span> ${tgxm.qxmc}
				</div>
				<div style="padding-left: 30px;">
					<span class="xm-bt">项目地址：</span> (${tgxm.qxmc}) ${tgxm.jsdz}
				</div>
				<div style="padding-left: 30px;">
					<span class="xm-bt">开盘时间：</span>
					<span class="xm-bt2">${tgxm.kpsj}</span>
					<span class="xm-bt">计划交房日期：</span>
					<c:if test="${tgxm.sfxf != 1}"><td>${tgxm.jhjfrq}</td></c:if>
					<c:if test="${tgxm.sfxf == 1}"><td>现房</td></c:if>
				</div>
				<div style="padding-left: 30px;">
					<span class="xm-bt">施工状态：</span>
					<span class="xm-bt2">
					<c:if test="${tgxm.sgzt == 1}">正常施工</c:if>
					<c:if test="${tgxm.sgzt == 2}">停工停建</c:if>
					<c:if test="${tgxm.sgzt == 3}">建设完成</c:if>
					</span>
					<span class="xm-bt">涉法涉诉：
						<c:if test="${tgxm.sfss == 0}">否</c:if>
						<c:if test="${tgxm.sfss == 1}">是</c:if>
					</span>
				</div>

				<div style="padding-left: 30px;">
					<span class="xm-bt">销售价格：</span>
					<span class="xm-jg">${tgxm.xsjg} <span class="dw">元/㎡</span></span>
					<span class="xm-bt">销售电话：</span> ${tgxm.xsdh}
				</div>
				<div style="padding-left: 30px;">
					<span class="xm-bt">看房直通车联系电话：</span> ${tgxm.kfdh}
				</div>
				<div style="padding-left: 30px;">
					<div class="xm-bt">优惠活动：
						<span style="padding-left: 130px;">
							<a href="javascript:void(0);" onclick="saveYhhd(${tgxm.id})" class="a_lan">[保存优惠]</a>
						</span>
					</div>
					<div style="padding-left: 20px;">
						<div>
							<span class="yh-div">3-5人团（含3、5人）优惠：</span><input type="text" id="yh3_${tgxm.id}" value="${tgxm.yh3}" style="width: 300px;" class="input" />
						</div>
						<div>
							<span class="yh-div">6-10人团（含10人）优惠：</span><input type="text" id="yh5_${tgxm.id}" value="${tgxm.yh5}" style="width: 300px;" class="input" />
						</div>
						<div>
							<span class="yh-div">10人以上团优惠：</span><input type="text" id="yh10_${tgxm.id}" value="${tgxm.yh10}" style="width: 300px;" class="input" />
						</div>
						<div>
							<span class="yh-div">其他优惠：</span><input type="text" id="yhqt_${tgxm.id}" value="${tgxm.yhqt}" style="width: 300px;" class="input" />
						</div>
					</div>
				</div>

				<c:if test="${tgxx.zt>1}">
					<div style="padding-left: 30px;">
						<span class="xm-bt">团购情况：</span>
						<span>浏览数：${tgxm.lls} <span class="dwSpann">人次</span></span>
						<span style="padding-left: 20px;">报名人数：${tgxm.bmrs} <span class="dwSpann">人</span></span>
						<span style="padding-left: 20px;">成交人数：${tgxm.cjrs} <span class="dwSpann">人</span></span>
						<span>
							<a href="javascript:void(0);" onclick="showTgryPage(${tgxm.id})" class="a_lan">[查看人员]</a>
						</span>
					</div>
				</c:if>
			</div>
		</c:forEach>
	</div>
		<br/>
		<br/>
</div>
</form>
</body>
<p:message/>
</html>
