<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息编辑</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<link type="text/css" href="${ctxStatic}/css/tab.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/easyui51/themes/bootstrap/easyui.css" rel="stylesheet" />
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/jquery.easyui.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/easyui51/exteasyui-dialog.js"></script>

	<link type="text/css" href="${ctxStatic}/js/bootstrap/css/bootstrap.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/bootstrap/js/bootstrap.viewer.min.js"></script>

	<link type="text/css" href="${ctxStatic}/js/viewer/viewer.css" rel="stylesheet" media="all" />
	<script type="text/javascript" src="${ctxStatic}/js/viewer/viewer-1.10.4.js"></script>


	<script type="text/javascript">
		function checkForm(){
			submitflag = false;

			var shzt = $("input[name='zt']:checked").val();
			if( shzt == null ) {
				layer.msg('请选择审核结果');
				return false;
			}
			var shyj = $('#shyj').val();
			if( shzt != 5 ) {
				if( shyj == '' ) {
					layer.msg('请填写审核意见');
					return false;
				}
			}
			submitflag = true;
			return true;
		}

		var _viewer = null;
		function previewImg(lb, index){
			if( _viewer != null){
				_viewer.destroy();
			}

			var e = null;
			if( lb == 1 ) {
				e = document.getElementById('viewerXgt');
			} else if( lb == 2 ){
				e = document.getElementById('viewerHxt');
			} else if( lb == 3 ){
				e = document.getElementById('viewerGst');
			}
			_viewer = new Viewer(e, {
				url: 'data-original',  	//显示大图时，获取的属性
				title: false 			//是否在大图上显示名字
			});
			_viewer.view(index);
		}
	</script>
	<style type="text/css">
		.divTp {display: inline-block; width: 135px; text-align: center; vertical-align: top; margin-bottom: 20px; margin-left:10px; position: relative;}
		.imgTp {cursor: hand; cursor: pointer; margin: 0; padding:0; width: 125px; height: auto;  max-height: 145px;}
		.zjDiv { display: inline-block; width: 350px; padding-left: 20px; }
		.yh-div { display: inline-block; text-align: right; width: 195px; }
	</style>
</head>
<body>
<form id="form0" action="${ctx}/xmxx/sh/doSh" method="post" >
	<input type="hidden" id="xmid" name="id" value="${xmxx.id}" style="width:99%" class="input" />
	<div class="main">
		<div class="page_title">项目信息审核： </div>
		<div class="content">
			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">项目信息：</div>
			<table style="width:100%;margin-top: 0px;" class="table_view">
				<col width="150"/>
				<col width="240"/>
				<col width="150"/>
				<col width="*"/>
				<tr>
					<th>开发企业:</th>
					<td colspan="3">${xmxx.qymc}</td>
				</tr>
				<tr>
					<th>项目名称:</th>
					<td>${xmxx.xmmc}</td>
				</tr>

				<tr>
					<th>项目地址:</th>
					<td colspan="3">（${xmxx.qxmc}） ${xmxx.jsdz}</td>
				</tr>
				<tr>
					<th>开盘时间:</th>
					<td >${xmxx.kpsj}</td>
					<th>计划交房日期:</th>
					<c:if test="${xmxx.sfxf != 1}"><td>${xmxx.jhjfrq}</td></c:if>
					<c:if test="${xmxx.sfxf == 1}"><td>现房</td></c:if>
				</tr>
				<tr>
					<th>施工状态:</th>
					<td>
						<c:if test="${xmxx.sgzt == 1}">正常施工</c:if>
						<c:if test="${xmxx.sgzt == 2}">停工停建</c:if>
						<c:if test="${xmxx.sgzt == 3}">建设完成</c:if>
					</td>
					<th>涉法涉诉:</th>
					<td><c:if test="${xmxx.sfss == 0}">否</c:if>
						<c:if test="${xmxx.sfss == 1}">是</c:if>
					</td>
				</tr>
				<tr>
					<th>销售价格:</th>
					<td>${xmxx.xsjg} 元/平方米</td>
				</tr>
				<tr>
					<th>销售电话:</th>
					<td>${xmxx.xsdh}</td>
					<th>看房直通车联系电话:</th>
					<td>${xmxx.kfdh}</td>
				</tr>
				<tr>
					<th>在售户型信息:</th>
					<td colspan="3">
						<c:forEach varStatus="index" items="${hxList}" var="h" >
							<span style="padding-left: 10px;">${h.hx}</span>
						</c:forEach>
					</td>
				</tr>
			</table>
			<div class="title_l">证件信息：</div>
			<div id="xmyszDiv" class="content" style="margin-top: 8px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${zjList}" var="zj" >
					<div id="yszItem${zj.id}" class="zjDiv">
						<span>${zj.zsh}</span>
						<c:if test="${zj.lx==1}">
							<span style="font-size: 12px; color: #999;">(预售)</span>
						</c:if>
						<c:if test="${zj.lx==2}">
							<span style="font-size: 12px; color: #999;">(现售)</span>
						</c:if>
						<c:if test="${zj.xz==1}"><span style="font-size: 12px; color: #ce8483">[待审]</span></c:if>
					</div>
				</c:forEach>
			</div>
			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">项目效果图：  </div>
			<div id="xmXgtDiv" class="content" style="margin:0px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${xgtList}" var="tp">
					<div id="xgtDiv${tp.id}" class="divTp">
						<div class="divTpIt">
							<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(1, ${index.index})" title="查看图片" />
						</div>
					</div>
				</c:forEach>
			</div>
			<div id="viewerXgt" style="display: none;">
				<c:forEach items="${xgtList}" var="tp">
					<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
				</c:forEach>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">项目户型图： </div>
			<div id="xmHxtDiv" class="content" style="margin:0px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${hxtList}" var="tp">
					<div id="hxtDiv${tp.id}" class="divTp">
						<div class="divTpIt">
							<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(2, ${index.index})" title="查看图片" />
						</div>
					</div>
				</c:forEach>
			</div>
			<div id="viewerHxt" style="display: none;">
				<c:forEach items="${hxtList}" var="tp">
					<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
				</c:forEach>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">价格公示栏： </div>
			<div id="xmGstDiv" class="content" style="margin:0px; padding-bottom: 10px; min-height: 50px; border: 1px solid #e0e0e0;">
				<c:forEach varStatus="index" items="${gstList}" var="tp">
					<div id="gstDiv${tp.id}" class="divTp">
						<div class="divTpIt">
							<img class="imgTp" src="${ctx}/file/img?u=${tp.slturl}" style="" onclick="previewImg(3, ${index.index})" title="查看图片" />
						</div>
					</div>
				</c:forEach>
			</div>
			<div id="viewerGst" style="display: none;">
				<c:forEach items="${gstList}" var="tp">
					<img data-original="${ctx}/file/img?u=${tp.ysturl}" src="${ctx}/file/img?u=${tp.ysturl}" />
				</c:forEach>
			</div>

			<div class="title_l" style="margin-top: 10px;padding-left: 0px;">信息审核： </div>
			<table style="width:100%" class="table_view">
				<col width="110"/>
				<col width="*"/>
				<tr>
					<th>审核结果:</th>
					<td align="left">
						<label><input type="radio" name="zt" value="5"> 审核通过</label>
						<label><input type="radio" name="zt" value="3"> 审核驳回</label>
					</td>
				</tr>
				<tr>
					<th>审核意见:</th>
					<td align="left">
						<textarea id="shyj" name="shyj" style="width:600px; height:80px;" class="textarea">${xmxx.shyj}</textarea>
					</td>
				</tr>
			</table>

			<div style="margin-top: 10px; text-align: left; padding-left: 300px;">
				<input type="submit" id="savBtn" value="审核" onclick="return checkForm()" class="a_btn_blue" />
				<a id="bakBtn" href="${ctx}/xmxx/sh/doPage" class="a_btn_blue">返回</a>
			</div>
		</div>
	</div>
</form>
<br/><br/>
</body>
<p:message/>
</html>