<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp" %>

<!DOCTYPE html>
<html>
<head>
	<title>信息添加</title>
	<meta charset="UTF-8">
	<link type="text/css" href="${ctxStatic}/css/style.css" rel="stylesheet"/>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-3.2.1.min.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/jquery/jquery-loading.js"></script>
	<script type="text/javascript" src="${ctxStatic}/js/layer/layer.min.js"></script>

	<script type="text/javascript">
		function checkForm(){
			var tgid = $('#tgid').val();
			var xmid = $("input[name='xmid']:checked").val();
			var yh3  = $('#yh3').val();
			var yh5  = $('#yh5').val();
			var yh10 = $('#yh10').val();
			var yhqt = $('#yhqt').val();

			var tgid = $("#tgid").val();
			if(!(xmid > 0)){
				layer.msg('请选择楼盘');
				return false;
			}

			if(yh3 == ''){
				layer.msg('请填写（3-5人）优惠活动');
				return false;
			}
			if(yh5 == ''){
				layer.msg('请填写（5-9人）优惠活动');
				return false;
			}
			if(yh10 == ''){
				layer.msg('请填写（10人以上）优惠活动');
				return false;
			}

			ajaxLoading();
			$.ajax({
				type: "POST",
				dataType: "json",
				url: "${ctx}/tgyw/qy/doXmxz",
				data: {'tgid':tgid, 'xmid':xmid, 'yh3':yh3, 'yh5':yh5, 'yh10':yh10,"yhqt":yhqt},
				success: function (r) {
					layer.msg(r.msg);
					if( r.code == 0 ) {
						setTimeout("guanbiOk()", 1000 );
					} else {
						ajaxLoadEnd();
					}
				}
			});
		}
		function guanbiOk() {
			parent.shuaxinFrame();
			parent.closePage();
		}
		function guanbi(){
			parent.closePage();
		}
	</script>

	<style>
		.xm-d{display: inline-block; margin-left: 15px; min-width: 260px;}
	</style>
</head>
<body>
<input type="hidden" id="tgid" value="${tgxx.id}" />

<div class="main">
	<div class="content">
		<div style="line-height: 40px; text-align: left; font-weight: bold;">
			请选择参加
			<span style="font-size: 16px;">${tgxx.tgmc}</span>
			的楼盘：
		</div>

		<div style="width: 100%; min-height: 150px; text-align: left; line-height: 40px; border: 1px solid #E0E0E0;">
			<c:forEach items="${xmxxList}" var="xmxx" >
				<div class="xm-d">
					<label style="vertical-align: middle; font-weight: normal;">
						<input type="radio" name="xmid" value="${xmxx.id}" />
							${xmxx.xmmc} <span style="color: #666666;">(${xmxx.qxmc})</span>
					</label>
				</div>
			</c:forEach>
		</div>

		<div>
			<span class="xm-bt">优惠活动：</span>
			<div style="padding-left: 20px;">
				<div>
					<span style="color: red">*</span>3-5人团（含3、5人）优惠：<input type="text" id="yh3" name="yh3" style="width: 250px;" class="input c" />
				</div>
				<div>
					<span style="color: red">*</span>6-10人团（含10人）优惠：<input type="text" id="yh5" name="yh5" style="width: 255px;" class="input c" />
				</div>
				<div>
					<span style="color: red">*</span>10人以上团优惠：<input type="text" id="yh10" name="yh10" style="width: 315px;" class="input c" />
				</div>
				<div>
					<span style="color: red">&nbsp;&nbsp;</span>其他优惠：<input type="text" id="yhqt" name="yhqt" style="width: 360px;" class="input c" />
				</div>
				<div>
				</div>
			</div>
		</div>

		<div style="margin-top: 50px; text-align: center;">
			<input type="button" value="确定" onclick="checkForm()" class="a_btn_blue" />
			<input type="button" value="取消" onclick="guanbi()" class="a_btn_blue" />
		</div>
	</div>
</div>
</body>
<p:message/>
</html>